- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSOption Class Reference

The Option Class. More...

`#include <OSOption.h>`

Collaboration diagram for OSOption:

[legend]
List of all members.

## Public Member Functions
| OSOption ()
| Default constructor.
| ~OSOption ()
| Class destructor.
bool | setOptionHeader (std::string name, std::string source, std::string fileCreator, std::string description, std::string licence)
| A function to populate an instance of the option header element.
bool | IsEqual (OSOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
std::string | getFileName ()
| Get the name of the file.
std::string | getFileSource ()
| Get the source of the file or problem.
std::string | getFileDescription ()
| Get a description for the file or problem.
std::string | getFileCreator ()
| Get the name of the person who created the file.
std::string | getFileLicence ()
| Get licence information associated with the file.
std::string | getServiceURI ()
| Get the service URI.
std::string | getServiceName ()
| Get the service name.
std::string | getInstanceName ()
| Get the instance name.
std::string | getInstanceLocation ()
| Get the instance location.
std::string | getInstanceLocationType ()
| Get the location type.
std::string | getJobID ()
| Get the job ID.
std::string | getSolverToInvoke ()
| Get the solver name.
std::string | getLicense ()
| Get the license string.
std::string | getUserName ()
| Get the user name.
std::string | getPassword ()
| Get the password.
std::string | getContact ()
| Get the contact information.
std::string | getContactTransportType ()
| Get the transport type.
std::string | getMinDiskSpaceUnit ()
| Get the disk space unit.
std::string | getMinDiskSpaceDescription ()
| get the disk space description
std::string | getMinMemoryUnit ()
| Get the memory unit.
std::string | getMinMemoryDescription ()
| get the memory description
std::string | getMinCPUSpeedUnit ()
| Get the CPU speed unit.
std::string | getMinCPUSpeedDescription ()
| Get the CPU speed description.
std::string | getMinCPUNumberDescription ()
| Get the CPU description.
std::string | getServiceType ()
| Get the service type.
std::string | getMaxTimeUnit ()
| Get the time unit.
std::string | getRequestedStartTime ()
| Get the requested starting time.
std::string | getOptionStr (std::string optionName)
| Get any of the string-valued options.
double | getMinDiskSpace ()
| Get the minimum required disk space.
double | getMinMemorySize ()
| Get the minimum required memory.
double | getMinCPUSpeed ()
| Get the minimum required CPU speed.
double | getMaxTime ()
| Get the maximum allowed time.
double | getOptionDbl (std::string optionName)
| Get any of the double-valued options.
int | getMinCPUNumber ()
| Get the minimum required number of CPUs.
int | getNumberOfOtherGeneralOptions ()
| Get the number of <other> options in the <general> element.
int | getNumberOfOtherSystemOptions ()
| Get the number of <other> options in the <system> element.
int | getNumberOfOtherServiceOptions ()
| Get the number of <other> options in the <service> element.
int | getNumberOfOtherJobOptions ()
| Get the number of <other> options in the <job> element.
int | getNumberOfJobDependencies ()
| Get the number of job dependencies.
int | getNumberOfRequiredDirectories ()
| Get the number of required directories.
int | getNumberOfRequiredFiles ()
| Get the number of required files.
int | getNumberOfDirectoriesToMake ()
| Get the number of directories to make.
int | getNumberOfFilesToMake ()
| Get the number of files to make.
int | getNumberOfInputDirectoriesToMove ()
| Get the number of input directories to move.
int | getNumberOfInputFilesToMove ()
| Get the number of input files to move.
int | getNumberOfOutputDirectoriesToMove ()
| Get the number of output directories to move.
int | getNumberOfOutputFilesToMove ()
| Get the number of output files to move.
int | getNumberOfFilesToDelete ()
| Get the number of files to delete.
int | getNumberOfDirectoriesToDelete ()
| Get the number of directories to delete.
int | getNumberOfProcessesToKill ()
| Get the number of processes to kill.
int | getNumberOfVariables ()
| Get the number of variables in the instance.
int | getNumberOfObjectives ()
| Get the number of objectives in the instance.
int | getNumberOfConstraints ()
| Get the number of constraints in the instance.
int | getNumberOfInitVarValues ()
| Get the number of initial variable values.
int | getNumberOfInitVarValuesString ()
| Get the number of initial variable strings.
int | getNumberOfIntegerVariableBranchingWeights ()
| Get the number of variables for which integer branching weights are provided.
int | getNumberOfSOS ()
| Get the number of special ordered sets for which branching weights are provided.
int | getNumberOfSOSVarBranchingWeights (int iSOS)
| Get the number of variables for which branching weights are provided in a particular SOS.
int | getNumberOfOtherVariableOptions ()
| Get the number of other variable options.
int | getNumberOfInitObjValues ()
| Get the number of initial objective values.
int | getNumberOfInitObjBounds ()
| Get the number of initial objective bounds.
int | getNumberOfOtherObjectiveOptions ()
| Get the number of other objective options.
int | getNumberOfInitConValues ()
| Get the number of initial constraint values.
int | getNumberOfInitDualVarValues ()
| Get the number of initial dual variable values.
int | getNumberOfOtherConstraintOptions ()
| Get the number of other constraint options.
int | getNumberOfSolverOptions ()
| Get the number of solver options.
int | getOptionInt (std::string optionName)
| Get any of the integer-valued options.
OtherOption ** | getOtherGeneralOptions ()
| Get the array of other options associated with the <general> element.
OtherOption ** | getOtherSystemOptions ()
| Get the array of other options associated with the <system> element.
OtherOption ** | getOtherServiceOptions ()
| Get the array of other options associated with the <service> element.
OtherOption ** | getOtherJobOptions ()
| Get the array of other options associated with the <job> element.
OtherOption ** | getOtherOptions (std::string elementName)
| Get the array of other options associated with any element.
OtherOption ** | getAllOtherOptions ()
| Get the array of all other options associated with the <general>, <system>, <service> and <job> elements.
std::string * | getJobDependencies ()
| Get the array of job dependencies.
std::string * | getRequiredDirectories ()
| Get the array of required directories.
std::string * | getRequiredFiles ()
| Get the array of required files.
std::string * | getDirectoriesToMake ()
| Get the array of directories to make.
std::string * | getFilesToMake ()
| Get the array of files to make.
PathPair ** | getInputDirectoriesToMove ()
| Get the array of input directories to move.
PathPair ** | getInputFilesToMove ()
| Get the array of input files to move.
PathPair ** | getOutputDirectoriesToMove ()
| Get the array of output directories to move.
PathPair ** | getOutputFilesToMove ()
| Get the array of output files to move.
std::string * | getDirectoriesToDelete ()
| Get the array of directories to delete.
std::string * | getFilesToDelete ()
| Get the array of files to delete.
std::string * | getProcessesToKill ()
| Get the array of processes to kill.
InitVarValue ** | getInitVarValuesSparse ()
| Get the initial values associated with the variables in sparse form.
double * | getInitVarValuesDense ()
| Get the initial values associated with the variables in dense form.
double * | getInitVarValuesDense (int numberOfVariables)
| Get the initial values associated with the variables in dense form.
InitVarValueString ** | getInitVarValuesStringSparse ()
| Get the initial value strings associated with the variables in sparse form.
std::string * | getInitVarValuesStringDense ()
| Get the initial value strings associated with the variables in dense form.
std::string * | getInitVarValuesStringDense (int numberOfVariables)
| Get the initial value strings associated with the variables in dense form.
InitBasStatus ** | getInitBasisStatusSparse ()
| Get the initial basis status in sparse form.
std::string * | getInitBasisStatusDense ()
| Get the initial basis information in dense form.
int * | getVariableInitialBasisStatusDense (int numberOfVariables)
| Get the initial basis status for all variables in dense form.
int | getNumberOfInitialBasisElements (int type, int status)
| Get the number of initial basis elements for a particular variable type and basis status.
bool | getInitialBasisElements (int type, int status, int *elem)
| Get the initial basis elements for a particular variable type and basis status.
BranchingWeight ** | getIntegerVariableBranchingWeightsSparse ()
| Get the integer branching weights in sparse form.
double * | getIntegerVariableBranchingWeightsDense ()
| Get the integer branching weights in dense form.
double * | getIntegerVariableBranchingWeightsDense (int numberOfVariables)
| Get the integer branching weights in dense form.
SOSWeights ** | getSOSVariableBranchingWeightsSparse ()
| Get the SOS branching weights in sparse form.
std::vector< OtherVariableOption * > | getOtherVariableOptions (std::string solver_name)
| Get the <other> variable options associated with a particular solver.
OtherVariableOption ** | getAllOtherVariableOptions ()
| Get all <other> variable options.
InitObjValue ** | getInitObjValuesSparse ()
| Get the initial values associated with the objectives in sparse form.
double * | getInitObjValuesDense ()
| Get the initial values associated with the objectives in dense form.
double * | getInitObjValuesDense (int numberOfObjectives)
| Get the initial values associated with the objectives in dense form.
InitObjBound ** | getInitObjBoundsSparse ()
| Get the initial bounds associated with the objectives in sparse form.
double * | getInitObjLowerBoundsDense ()
| Get the initial lower bounds associated with the objectives in dense form.
double * | getInitObjLowerBoundsDense (int numberOfObjectives)
| Get the initial lower bounds associated with the objectives in dense form.
double * | getInitObjUpperBoundsDense ()
| Get the initial upper bounds associated with the objectives in dense form.
double * | getInitObjUpperBoundsDense (int numberOfObjectives)
| Get the initial upper bounds associated with the objectives in dense form.
int * | getObjectiveInitialBasisStatusDense (int numberOfObjectives)
| Get the initial basis status for all objectives in dense form.
std::vector< OtherObjectiveOption * > | getOtherObjectiveOptions (std::string solver_name)
| Get the array of other objective options.
OtherObjectiveOption ** | getAllOtherObjectiveOptions ()
| Get all <other> objective options.
InitConValue ** | getInitConValuesSparse ()
| Get the initial values associated with the constraints in sparse form.
double * | getInitConValuesDense ()
| Get the initial values associated with the constraints in dense form.
double * | getInitConValuesDense (int numberOfConstraints)
| Get the initial values associated with the constraints in dense form.
InitDualVarValue ** | getInitDualVarValuesSparse ()
| Get the initial bounds associated with the dual variables in sparse form.
double * | getInitDualVarLowerBoundsDense ()
| Get the initial dual variables associated with the lower bounds in dense form.
double * | getInitDualVarLowerBoundsDense (int numberOfConstraints)
| Get the initial dual variables associated with the lower bounds in dense form.
double * | getInitDualVarUpperBoundsDense ()
| Get the initial dual variables associated with the upper bounds in dense form.
double * | getInitDualVarUpperBoundsDense (int numberOfConstraints)
| Get the initial dual variables associated with the upper bounds in dense form.
int * | getSlackVariableInitialBasisStatusDense (int numberOfConstraints)
| Get the initial basis status for all slack variables in dense form.
std::vector< OtherConstraintOption * > | getOtherConstraintOptions (std::string solver_name)
| Get the array of other constraint options.
OtherConstraintOption ** | getAllOtherConstraintOptions ()
| Get all <other> constraint options.
std::vector< SolverOption * > | getSolverOptions (std::string solver_name)
| Get the options associated with a given solver.
SolverOption ** | getAllSolverOptions ()
| Get all solver options.
bool | setServiceURI (std::string serviceURI)
| Set the serviceURI.
bool | setServiceName (std::string serviceName)
| Set the service name.
bool | setInstanceName (std::string instanceName)
| Set the instance name.
bool | setInstanceLocation (std::string instanceLocation)
| Set the instance location.
bool | setInstanceLocation (std::string instanceLocation, std::string locationType)
| Alternative signature to set the instance location and location type simultaneously.
bool | setInstanceLocationType (std::string locationType)
| Set the instance location type.
bool | setJobID (std::string jobID)
| Set the job ID.
bool | setSolverToInvoke (std::string solverToInvoke)
| Set the solver to be invoked.
bool | setLicense (std::string license)
| Set the license information.
bool | setUserName (std::string userName)
| Set the username.
bool | setPassword (std::string password)
| Set the password.
bool | setContact (std::string contact)
| Set the contact information.
bool | setContact (std::string contact, std::string transportType)
| Alternative signature to set the contact information and transport type simultaneously.
bool | setContactTransportType (std::string transportType)
| Set the transport type for contact.
bool | setOtherGeneralOptions (int numberOfOptions, OtherOption **other)
| Set the other general options as an entire array.
bool | setAnOtherGeneralOption (std::string name, std::string value, std::string description)
| Add another general option to the general <other> option array.
bool | setMinDiskSpace (std::string unit, std::string description, double value)
| set() options in the <system> element
bool | setMinDiskSpace (double value)
bool | setMinDiskSpaceUnit (std::string unit)
bool | setMinMemorySize (std::string unit, std::string description, double value)
bool | setMinMemorySize (double value)
bool | setMinMemoryUnit (std::string unit)
bool | setMinCPUSpeed (std::string unit, std::string description, double value)
bool | setMinCPUSpeed (double value)
bool | setMinCPUSpeedUnit (std::string unit)
bool | setMinCPUNumber (int number, std::string description)
bool | setMinCPUNumber (int number)
bool | setOtherSystemOptions (int numberOfOptions, OtherOption **other)
bool | setAnOtherSystemOption (std::string name, std::string value, std::string description)
bool | setServiceType (std::string serviceType)
| set() options in the <service> element
bool | setOtherServiceOptions (int numberOfOptions, OtherOption **other)
bool | setAnOtherServiceOption (std::string name, std::string value, std::string description)
bool | setMaxTime (double value, std::string unit)
bool | setMaxTime (double value)
| set() options in the <job> element
bool | setMaxTimeUnit (std::string unit)
bool | setRequestedStartTime (std::string time)
bool | setJobDependencies (int numberOfDependencies, std::string *jobDependencies)
bool | setAnotherJobDependency (std::string jobID)
bool | setRequiredDirectories (int numberOfPaths, std::string *paths)
bool | setAnotherRequiredDirectory (std::string path)
bool | setRequiredFiles (int numberOfPaths, std::string *paths)
bool | setAnotherRequiredFile (std::string path)
bool | setDirectoriesToMake (int numberOfPaths, std::string *paths)
bool | setAnotherDirectoryToMake (std::string path)
bool | setFilesToMake (int numberOfPaths, std::string *paths)
bool | setAnotherFileToMake (std::string path)
bool | setPathPairs (int object, std::string *from, std::string *to, bool *makeCopy, int numberOfPathPairs)
| setPathPairs set a number of path pairs into the OSOption object
bool | setInputDirectoriesToMove (int numberOfPathPairs, PathPair **pathPair)
bool | setAnotherInputDirectoryToMove (std::string fromPath, std::string toPath, bool makeCopy)
bool | setInputFilesToMove (int numberOfPathPairs, PathPair **pathPair)
bool | setAnotherInputFileToMove (std::string fromPath, std::string toPath, bool makeCopy)
bool | setOutputFilesToMove (int numberOfPathPairs, PathPair **pathPair)
bool | setAnotherOutputFileToMove (std::string fromPath, std::string toPath, bool makeCopy)
bool | setOutputDirectoriesToMove (int numberOfPathPairs, PathPair **pathPair)
bool | setAnotherOutputDirectoryToMove (std::string fromPath, std::string toPath, bool makeCopy)
bool | setFilesToDelete (int numberOfPaths, std::string *paths)
bool | setAnotherFileToDelete (std::string path)
bool | setDirectoriesToDelete (int numberOfPaths, std::string *paths)
bool | setAnotherDirectoryToDelete (std::string path)
bool | setProcessesToKill (int numberOfProcesses, std::string *processes)
bool | setAnotherProcessToKill (std::string process)
bool | setOtherJobOptions (int numberOfOptions, OtherOption **other)
bool | setAnOtherJobOption (std::string name, std::string value, std::string description)
bool | setNumberOfVariables (int numberOfVariables)
bool | setNumberOfObjectives (int numberOfObjectives)
bool | setNumberOfConstraints (int numberOfConstraints)
bool | setInitVarValues (int numberOfVar, int *idx, double *value)
bool | setInitVarValuesSparse (int numberOfVar, InitVarValue **var)
bool | setInitVarValuesDense (int numberOfVar, double *value)
bool | setAnotherInitVarValue (int idx, double value)
bool | setInitVarValuesString (int numberOfVar, int *idx, std::string *value)
bool | setInitVarValuesStringSparse (int numberOfVar, InitVarValueString **var)
bool | setInitVarValuesStringDense (int numberOfVar, std::string *value)
bool | setAnotherInitVarValueString (int idx, std::string value)
bool | setInitBasisStatus (int object, int status, int *i, int ni)
bool | setInitBasisStatusSparse (int numberOfVar, InitBasStatus **var)
bool | setInitBasisStatusDense (int numberOfVar, std::string *var)
bool | setAnotherInitBasisStatus (int type, int idx, int status)
| Set the basis status for another variable, objective or constraint/slack.
bool | setIntegerVariableBranchingWeights (int numberOfVar, int *idx, double *value)
bool | setIntegerVariableBranchingWeightsSparse (int numberOfVar, BranchingWeight **var)
bool | setIntegerVariableBranchingWeightsDense (int numberOfVar, double *value)
bool | setAnotherIntegerVariableBranchingWeight (int idx, double value)
bool | setSOSVariableBranchingWeights (int numberOfSOS, SOSWeights **sos)
bool | setAnotherSOSVariableBranchingWeight (int sosIdx, int nvar, double weight, int *idx, double *value)
bool | setNumberOfOtherVariableOptions (int numberOfOther)
bool | setOtherVariableOptions (int numberOfVar, OtherVariableOption **var)
bool | setAnOtherVariableOption (OtherVariableOption *varOption)
bool | setOtherVariableOptionAttributes (int iOther, int numberOfVar, int numberOfEnumerations, std::string name, std::string value, std::string solver, std::string category, std::string type, std::string description)
| Set the attributes for one particular <other> <variable> option.
bool | setOtherOptionEnumeration (int object, int otherOptionNumber, int enumerationNumber, int numberOfEl, std::string value, std::string description, int *idxArray)
| Set one enumeration associated with an <other> option in the <variables>, <objectives> or <constraints> element.
bool | setOtherVariableOptionVar (int otherOptionNumber, int varNumber, int idx, std::string value, std::string lbValue, std::string ubValue)
| Set one element associated with an <other> option in the <variables> element.
bool | setInitObjValues (int numberOfObj, int *idx, double *value)
bool | setInitObjValuesSparse (int numberOfObj, InitObjValue **obj)
bool | setInitObjValuesDense (int numberOfObj, double *value)
bool | setAnotherInitObjValue (int idx, double value)
bool | setInitObjBounds (int numberOfObj, int *idx, double *lbValue, double *ubValue)
bool | setInitObjBoundsSparse (int numberOfObj, InitObjBound **obj)
bool | setInitObjBoundsDense (int numberOfObj, double *lb, double *ub)
bool | setAnotherInitObjBound (int idx, double lbValue, double ubValue)
bool | setNumberOfOtherObjectiveOptions (int numberOfOther)
bool | setOtherObjectiveOptions (int numberOfObj, OtherObjectiveOption **obj)
bool | setAnOtherObjectiveOption (OtherObjectiveOption *objOption)
bool | setOtherObjectiveOptionAttributes (int iOther, int numberOfObj, int numberOfEnumerations, std::string name, std::string value, std::string solver, std::string category, std::string type, std::string description)
| Set the attributes for one particular <other> <objective> option.
bool | setOtherObjectiveOptionObj (int otherOptionNumber, int objNumber, int idx, std::string value, std::string lbValue, std::string ubValue)
| Set one <obj> element associated with an <other> option in the <objectives> element.
bool | setInitConValues (int numberOfCon, int *idx, double *value)
bool | setInitConValuesSparse (int numberOfCon, InitConValue **con)
bool | setInitConValuesDense (int numberOfCon, double *value)
bool | setAnotherInitConValue (int idx, double value)
bool | setInitDualValues (int numberOfCon, int *idx, double *lbValue, double *ubValue)
bool | setInitDualVarValuesSparse (int numberOfCon, InitDualVarValue **con)
bool | setInitDualVarValuesDense (int numberOfCon, double *lb, double *ub)
bool | setAnotherInitDualVarValue (int idx, double lbValue, double ubValue)
bool | setNumberOfOtherConstraintOptions (int numberOfOther)
bool | setOtherConstraintOptions (int numberOfOptions, OtherConstraintOption **other)
bool | setAnOtherConstraintOption (OtherConstraintOption *optionValue)
bool | setOtherConstraintOptionAttributes (int iOther, int numberOfCon, int numberOfEnumerations, std::string name, std::string value, std::string solver, std::string category, std::string type, std::string description)
| Set the attributes for one particular <other> <constraint> option.
bool | setOtherConstraintOptionCon (int otherOptionNumber, int conNumber, int idx, std::string value, std::string lbValue, std::string ubValue)
| Set one <con> element associated with an <other> option in the <constraints> element.
bool | setNumberOfSolverOptions (int numberOfOptions)
bool | setSolverOptionContent (int iOption, int numberOfItems, std::string name, std::string value, std::string solver, std::string category, std::string type, std::string description, std::string *itemList)
| Set the attributes for one particular solver option.
bool | setSolverOptions (int numberOfSolverOptions, SolverOption **solverOption)
bool | setAnotherSolverOption (std::string name, std::string value, std::string solver, std::string category, std::string type, std::string description)
bool | setOptionInt (std::string optionName, int optionValue)
bool | setOptionStr (std::string optionName, std::string optionValue)
bool | setOptionDbl (std::string optionName, double value)
## Public Attributes
GeneralFileHeader * | optionHeader
| header information
GeneralOption * | general
| generalOption holds the first child of the OSOption specified by the OSoL Schema.
SystemOption * | system
| systemOption holds the second child of the OSOption specified by the OSoL Schema.
ServiceOption * | service
| serviceOption holds the third child of the OSOption specified by the OSoL Schema.
JobOption * | job
| jobOption holds the fourth child of the OSOption specified by the OSoL Schema.
OptimizationOption * | optimization
| optimizationOption holds the fifth child of the OSOption specified by the OSoL Schema.
## Private Attributes
double * | m_mdInitVarValuesDense
| m_mdInitVarValuesDense holds the initial variable values in dense form
std::string * | m_mdInitVarValuesStringDense
| m_mdInitVarValuesStringDense holds the initial values for string-valued variables
int * | m_mdInitBasisStatusDense
| m_mdInitBasisStatusDense holds the initial basis status in dense form
double * | m_mdIntegerVariableBranchingWeightsDense
| m_mdIntegerVariableBranchingWeightsDense holds the branching weights for integer variables
double * | m_mdInitObjValuesDense
| m_mdInitObjValuesDense holds initial objective values in dense form
double * | m_mdInitObjLowerBoundsDense
| m_mdInitObjLowerBoundsDense holds initial lower bounds for the objectives in dense form
double * | m_mdInitObjUpperBoundsDense
| m_mdInitObjUpperBoundsDense holds initial upper bounds for the objectives in dense form
double * | m_mdInitConValuesDense
| m_mdInitConValuesDense holds initial constraint values in dense form
double * | m_mdInitDualVarLowerBoundsDense
| m_mdInitDualVarLowerBoundsDense holds initial dual values for the lower bound of the constraints in dense form
double * | m_mdInitDualVarUpperBoundsDense
| m_mdInitDualVarUpperBoundsDense holds initial dual values for the upper bound of the constraints in dense form

## Detailed Description

The Option Class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A class for holding all the solver options information.

Definition at line 3012 of file OSOption.h.

## Constructor & Destructor Documentation

OSOption::OSOption | ( |  | ) |

Default constructor.

Definition at line 1211 of file OSOption.cpp.

References general, job, m_mdInitBasisStatusDense, m_mdInitConValuesDense, m_mdInitDualVarLowerBoundsDense, m_mdInitDualVarUpperBoundsDense, m_mdInitObjLowerBoundsDense, m_mdInitObjUpperBoundsDense, m_mdInitObjValuesDense, m_mdInitVarValuesDense, m_mdInitVarValuesStringDense, m_mdIntegerVariableBranchingWeightsDense, optimization, optionHeader, service, and system.

OSOption::~OSOption | ( |  | ) |

Class destructor.

Definition at line 1236 of file OSOption.cpp.

References general, job, m_mdInitBasisStatusDense, m_mdInitConValuesDense, m_mdInitDualVarLowerBoundsDense, m_mdInitDualVarUpperBoundsDense, m_mdInitObjLowerBoundsDense, m_mdInitObjUpperBoundsDense, m_mdInitObjValuesDense, m_mdInitVarValuesDense, m_mdInitVarValuesStringDense, m_mdIntegerVariableBranchingWeightsDense, optimization, optionHeader, service, and system.

## Member Function Documentation

bool OSOption::setOptionHeader | ( | std::string | name,
|  | std::string | source,
|  | std::string | fileCreator,
|  | std::string | description,
|  | std::string | licence |
| ) |  |  |

A function to populate an instance of the option header element.

Parameters:

  | name,: | the name of this file or instance
  | source,: | the source (e.g., in BiBTeX format)
  | fileCreator,: | the creator of this file
  | description,: | further description about this file and/or its contents
  | licence,: | licence information if applicable

Definition at line 6182 of file OSOption.cpp.

References optionHeader, and GeneralFileHeader::setHeader().

bool OSOption::IsEqual | ( | OSOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 8040 of file OSOption.cpp.

References general, job, optimization, optionHeader, service, and system.

bool OSOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" attributes and <XXX> children)

Definition at line 10214 of file OSOption.cpp.

References general, job, optimization, optionHeader, OSRand(), service, OptimizationOption::setRandom(), JobOption::setRandom(), ServiceOption::setRandom(), SystemOption::setRandom(), GeneralOption::setRandom(), GeneralFileHeader::setRandom(), and system.

std::string OSOption::getFileName | ( |  | ) |

Get the name of the file.

Definition at line 1309 of file OSOption.cpp.

References GeneralFileHeader::name, and optionHeader.

std::string OSOption::getFileSource | ( |  | ) |

Get the source of the file or problem.

Definition at line 1319 of file OSOption.cpp.

References optionHeader, and GeneralFileHeader::source.

std::string OSOption::getFileDescription | ( |  | ) |

Get a description for the file or problem.

Definition at line 1329 of file OSOption.cpp.

References GeneralFileHeader::description, and optionHeader.

std::string OSOption::getFileCreator | ( |  | ) |

Get the name of the person who created the file.

Definition at line 1339 of file OSOption.cpp.

References GeneralFileHeader::fileCreator, and optionHeader.

std::string OSOption::getFileLicence | ( |  | ) |

Get licence information associated with the file.

Definition at line 1349 of file OSOption.cpp.

References GeneralFileHeader::licence, and optionHeader.

std::string OSOption::getServiceURI | ( |  | ) |

Get the service URI.

Definition at line 1360 of file OSOption.cpp.

References general, and GeneralOption::serviceURI.

Referenced by getOptionStr().

std::string OSOption::getServiceName | ( |  | ) |

Get the service name.

Definition at line 1370 of file OSOption.cpp.

References general, and GeneralOption::serviceName.

Referenced by getOptionStr().

std::string OSOption::getInstanceName | ( |  | ) |

Get the instance name.

Definition at line 1380 of file OSOption.cpp.

References general, and GeneralOption::instanceName.

Referenced by getOptionStr().

std::string OSOption::getInstanceLocation | ( |  | ) |

Get the instance location.

Definition at line 1390 of file OSOption.cpp.

References general, GeneralOption::instanceLocation, and InstanceLocationOption::value.

Referenced by getOptionStr().

std::string OSOption::getInstanceLocationType | ( |  | ) |

Get the location type.

Definition at line 1401 of file OSOption.cpp.

References general, GeneralOption::instanceLocation, and InstanceLocationOption::locationType.

Referenced by getOptionStr().

std::string OSOption::getJobID | ( |  | ) |

Get the job ID.

Definition at line 1412 of file OSOption.cpp.

References general, and GeneralOption::jobID.

Referenced by getOptionStr().

std::string OSOption::getSolverToInvoke | ( |  | ) |

Get the solver name.

Definition at line 1422 of file OSOption.cpp.

References general, and GeneralOption::solverToInvoke.

Referenced by getOptionStr().

std::string OSOption::getLicense | ( |  | ) |

Get the license string.

Definition at line 1432 of file OSOption.cpp.

References general, and GeneralOption::license.

Referenced by getOptionStr().

std::string OSOption::getUserName | ( |  | ) |

Get the user name.

Definition at line 1442 of file OSOption.cpp.

References general, and GeneralOption::userName.

Referenced by getOptionStr().

std::string OSOption::getPassword | ( |  | ) |

Get the password.

Definition at line 1452 of file OSOption.cpp.

References general, and GeneralOption::password.

Referenced by getOptionStr().

std::string OSOption::getContact | ( |  | ) |

Get the contact information.

Definition at line 1462 of file OSOption.cpp.

References GeneralOption::contact, general, and ContactOption::value.

Referenced by getOptionStr().

std::string OSOption::getContactTransportType | ( |  | ) |

Get the transport type.

Definition at line 1473 of file OSOption.cpp.

References GeneralOption::contact, general, and ContactOption::transportType.

Referenced by getOptionStr().

std::string OSOption::getMinDiskSpaceUnit | ( |  | ) |

Get the disk space unit.

Definition at line 1484 of file OSOption.cpp.

References SystemOption::minDiskSpace, system, and StorageCapacity::unit.

Referenced by getOptionStr().

std::string OSOption::getMinDiskSpaceDescription | ( |  | ) |

get the disk space description

Definition at line 1495 of file OSOption.cpp.

References StorageCapacity::description, SystemOption::minDiskSpace, and system.

std::string OSOption::getMinMemoryUnit | ( |  | ) |

Get the memory unit.

Definition at line 1506 of file OSOption.cpp.

References SystemOption::minMemorySize, system, and StorageCapacity::unit.

Referenced by getOptionStr().

std::string OSOption::getMinMemoryDescription | ( |  | ) |

get the memory description

Definition at line 1517 of file OSOption.cpp.

References StorageCapacity::description, SystemOption::minMemorySize, and system.

std::string OSOption::getMinCPUSpeedUnit | ( |  | ) |

Get the CPU speed unit.

Definition at line 1528 of file OSOption.cpp.

References SystemOption::minCPUSpeed, system, and CPUSpeed::unit.

Referenced by getOptionStr().

std::string OSOption::getMinCPUSpeedDescription | ( |  | ) |

Get the CPU speed description.

Definition at line 1539 of file OSOption.cpp.

References CPUSpeed::description, SystemOption::minCPUSpeed, and system.

std::string OSOption::getMinCPUNumberDescription | ( |  | ) |

Get the CPU description.

Definition at line 1550 of file OSOption.cpp.

References CPUNumber::description, SystemOption::minCPUNumber, and system.

std::string OSOption::getServiceType | ( |  | ) |

Get the service type.

Definition at line 1561 of file OSOption.cpp.

References service, and ServiceOption::type.

Referenced by getOptionStr().

std::string OSOption::getMaxTimeUnit | ( |  | ) |

Get the time unit.

Definition at line 1571 of file OSOption.cpp.

References job, JobOption::maxTime, and TimeSpan::unit.

Referenced by getOptionStr().

std::string OSOption::getRequestedStartTime | ( |  | ) |

Get the requested starting time.

Definition at line 1582 of file OSOption.cpp.

References job, and JobOption::requestedStartTime.

Referenced by getOptionStr().

std::string OSOption::getOptionStr | ( | std::string | optionName | ) |

Get any of the string-valued options.

Parameters:

  | optionName | The name of the option

Returns:
  the value of the option optionName

Note:
  This function returns the empty string "" if optionName is not found

Definition at line 1595 of file OSOption.cpp.

References getContact(), getContactTransportType(), getInstanceLocation(), getInstanceLocationType(), getInstanceName(), getJobID(), getLicense(), getMaxTimeUnit(), getMinCPUSpeedUnit(), getMinDiskSpaceUnit(), getMinMemoryUnit(), getPassword(), getRequestedStartTime(), getServiceName(), getServiceType(), getServiceURI(), getSolverToInvoke(), and getUserName().

double OSOption::getMinDiskSpace | ( |  | ) |

Get the minimum required disk space.

Definition at line 1660 of file OSOption.cpp.

References SystemOption::minDiskSpace, system, and StorageCapacity::value.

Referenced by getOptionDbl().

double OSOption::getMinMemorySize | ( |  | ) |

Get the minimum required memory.

Definition at line 1671 of file OSOption.cpp.

References SystemOption::minMemorySize, system, and StorageCapacity::value.

Referenced by getOptionDbl().

double OSOption::getMinCPUSpeed | ( |  | ) |

Get the minimum required CPU speed.

Definition at line 1682 of file OSOption.cpp.

References SystemOption::minCPUSpeed, system, and CPUSpeed::value.

Referenced by getOptionDbl().

double OSOption::getMaxTime | ( |  | ) |

Get the maximum allowed time.

Definition at line 1693 of file OSOption.cpp.

References job, JobOption::maxTime, and TimeSpan::value.

Referenced by getOptionDbl().

double OSOption::getOptionDbl | ( | std::string | optionName | ) |

Get any of the double-valued options.

Parameters:

  | optionName | The name of the option

Returns:
  the value of the option optionName

Note:
  returns 0 if optionName is not found

Definition at line 1707 of file OSOption.cpp.

References getMaxTime(), getMinCPUSpeed(), getMinDiskSpace(), and getMinMemorySize().

int OSOption::getMinCPUNumber | ( |  | ) |

Get the minimum required number of CPUs.

Definition at line 1730 of file OSOption.cpp.

References SystemOption::minCPUNumber, system, and CPUNumber::value.

Referenced by getOptionInt().

int OSOption::getNumberOfOtherGeneralOptions | ( |  | ) |

Get the number of <other> options in the <general> element.

Definition at line 1740 of file OSOption.cpp.

References general, OtherOptions::numberOfOtherOptions, and GeneralOption::otherOptions.

Referenced by getOptionInt().

int OSOption::getNumberOfOtherSystemOptions | ( |  | ) |

Get the number of <other> options in the <system> element.

Definition at line 1751 of file OSOption.cpp.

References OtherOptions::numberOfOtherOptions, SystemOption::otherOptions, and system.

Referenced by getOptionInt().

int OSOption::getNumberOfOtherServiceOptions | ( |  | ) |

Get the number of <other> options in the <service> element.

Definition at line 1762 of file OSOption.cpp.

References OtherOptions::numberOfOtherOptions, ServiceOption::otherOptions, and service.

Referenced by getOptionInt().

int OSOption::getNumberOfOtherJobOptions | ( |  | ) |

Get the number of <other> options in the <job> element.

Definition at line 1773 of file OSOption.cpp.

References job, OtherOptions::numberOfOtherOptions, and JobOption::otherOptions.

Referenced by getOptionInt().

int OSOption::getNumberOfJobDependencies | ( |  | ) |

Get the number of job dependencies.

Definition at line 1784 of file OSOption.cpp.

References JobOption::dependencies, job, and JobDependencies::numberOfJobIDs.

Referenced by getOptionInt().

int OSOption::getNumberOfRequiredDirectories | ( |  | ) |

Get the number of required directories.

Definition at line 1795 of file OSOption.cpp.

References job, DirectoriesAndFiles::numberOfPaths, and JobOption::requiredDirectories.

Referenced by getOptionInt().

int OSOption::getNumberOfRequiredFiles | ( |  | ) |

Get the number of required files.

Definition at line 1806 of file OSOption.cpp.

References job, DirectoriesAndFiles::numberOfPaths, and JobOption::requiredFiles.

Referenced by getOptionInt().

int OSOption::getNumberOfDirectoriesToMake | ( |  | ) |

Get the number of directories to make.

Definition at line 1817 of file OSOption.cpp.

References JobOption::directoriesToMake, job, and DirectoriesAndFiles::numberOfPaths.

Referenced by getOptionInt().

int OSOption::getNumberOfFilesToMake | ( |  | ) |

Get the number of files to make.

Definition at line 1828 of file OSOption.cpp.

References JobOption::filesToMake, job, and DirectoriesAndFiles::numberOfPaths.

Referenced by getOptionInt().

int OSOption::getNumberOfInputDirectoriesToMove | ( |  | ) |

Get the number of input directories to move.

Definition at line 1839 of file OSOption.cpp.

References JobOption::inputDirectoriesToMove, job, and PathPairs::numberOfPathPairs.

Referenced by getOptionInt().

int OSOption::getNumberOfInputFilesToMove | ( |  | ) |

Get the number of input files to move.

Definition at line 1850 of file OSOption.cpp.

References JobOption::inputFilesToMove, job, and PathPairs::numberOfPathPairs.

Referenced by getOptionInt().

int OSOption::getNumberOfOutputDirectoriesToMove | ( |  | ) |

Get the number of output directories to move.

Definition at line 1861 of file OSOption.cpp.

References job, PathPairs::numberOfPathPairs, and JobOption::outputDirectoriesToMove.

Referenced by getOptionInt().

int OSOption::getNumberOfOutputFilesToMove | ( |  | ) |

Get the number of output files to move.

Definition at line 1872 of file OSOption.cpp.

References job, PathPairs::numberOfPathPairs, and JobOption::outputFilesToMove.

Referenced by getOptionInt().

int OSOption::getNumberOfFilesToDelete | ( |  | ) |

Get the number of files to delete.

Definition at line 1883 of file OSOption.cpp.

References JobOption::filesToDelete, job, and DirectoriesAndFiles::numberOfPaths.

Referenced by getOptionInt().

int OSOption::getNumberOfDirectoriesToDelete | ( |  | ) |

Get the number of directories to delete.

Definition at line 1894 of file OSOption.cpp.

References JobOption::directoriesToDelete, job, and DirectoriesAndFiles::numberOfPaths.

Referenced by getOptionInt().

int OSOption::getNumberOfProcessesToKill | ( |  | ) |

Get the number of processes to kill.

Definition at line 1905 of file OSOption.cpp.

References job, Processes::numberOfProcesses, and JobOption::processesToKill.

Referenced by getOptionInt().

int OSOption::getNumberOfVariables | ( |  | ) |

Get the number of variables in the instance.

Definition at line 1916 of file OSOption.cpp.

References OptimizationOption::numberOfVariables, and optimization.

Referenced by getInitVarValuesDense(), getInitVarValuesStringDense(), getIntegerVariableBranchingWeightsDense(), and getOptionInt().

int OSOption::getNumberOfObjectives | ( |  | ) |

Get the number of objectives in the instance.

Definition at line 1926 of file OSOption.cpp.

References OptimizationOption::numberOfObjectives, and optimization.

Referenced by getInitObjLowerBoundsDense(), getInitObjUpperBoundsDense(), getInitObjValuesDense(), and getOptionInt().

int OSOption::getNumberOfConstraints | ( |  | ) |

Get the number of constraints in the instance.

Definition at line 1936 of file OSOption.cpp.

References OptimizationOption::numberOfConstraints, and optimization.

Referenced by getInitConValuesDense(), getInitDualVarLowerBoundsDense(), getInitDualVarUpperBoundsDense(), and getOptionInt().

int OSOption::getNumberOfInitVarValues | ( |  | ) |

Get the number of initial variable values.

Returns:
  the number of initial variable values.

Definition at line 1947 of file OSOption.cpp.

References VariableOption::initialVariableValues, InitVariableValues::numberOfVar, optimization, and OptimizationOption::variables.

Referenced by IpoptProblem::get_starting_point(), BonminProblem::get_starting_point(), getInitVarValuesDense(), getOptionInt(), and CoinSolver::setSolverOptions().

int OSOption::getNumberOfInitVarValuesString | ( |  | ) |

Get the number of initial variable strings.

Returns:
  the number of initial variable strings.

Definition at line 1965 of file OSOption.cpp.

References VariableOption::initialVariableValuesString, InitVariableValuesString::numberOfVar, optimization, and OptimizationOption::variables.

Referenced by getInitVarValuesStringDense(), and getOptionInt().

int OSOption::getNumberOfIntegerVariableBranchingWeights | ( |  | ) |

Get the number of variables for which integer branching weights are provided.

Returns:
  the number of variables.

Definition at line 1977 of file OSOption.cpp.

References VariableOption::integerVariableBranchingWeights, IntegerVariableBranchingWeights::numberOfVar, optimization, and OptimizationOption::variables.

Referenced by getIntegerVariableBranchingWeightsDense(), and getOptionInt().

int OSOption::getNumberOfSOS | ( |  | ) |

Get the number of special ordered sets for which branching weights are provided.

Returns:
  the number of variables.

Definition at line 1988 of file OSOption.cpp.

References SOSVariableBranchingWeights::numberOfSOS, optimization, VariableOption::sosVariableBranchingWeights, and OptimizationOption::variables.

Referenced by getOptionInt().

int OSOption::getNumberOfSOSVarBranchingWeights | ( | int | iSOS | ) |

Get the number of variables for which branching weights are provided in a particular SOS.

Parameters:

  | iSOS | the number of the SOS

Returns:
  the number of variables.

Definition at line 1999 of file OSOption.cpp.

References SOSVariableBranchingWeights::numberOfSOS, SOSWeights::numberOfVar, optimization, SOSVariableBranchingWeights::sos, VariableOption::sosVariableBranchingWeights, and OptimizationOption::variables.

int OSOption::getNumberOfOtherVariableOptions | ( |  | ) |

Get the number of other variable options.

Returns:
  the number of other variable options.

Definition at line 2013 of file OSOption.cpp.

References VariableOption::numberOfOtherVariableOptions, optimization, and OptimizationOption::variables.

Referenced by OSDipApp::generateInitVars(), OS_DipInterface::getBlockFactories(), OS_DipInterface::getBlockVarIndexes(), getOptionInt(), and getOtherVariableOptions().

int OSOption::getNumberOfInitObjValues | ( |  | ) |

Get the number of initial objective values.

Returns:
  the number of initial objective values.

Definition at line 2024 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveValues, InitObjectiveValues::numberOfObj, OptimizationOption::objectives, and optimization.

Referenced by getInitObjValuesDense(), and getOptionInt().

int OSOption::getNumberOfInitObjBounds | ( |  | ) |

Get the number of initial objective bounds.

Returns:
  the number of initial objective bound values.

Definition at line 2036 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveBounds, InitObjectiveBounds::numberOfObj, OptimizationOption::objectives, and optimization.

Referenced by getInitObjLowerBoundsDense(), getInitObjUpperBoundsDense(), and getOptionInt().

int OSOption::getNumberOfOtherObjectiveOptions | ( |  | ) |

Get the number of other objective options.

Returns:
  the number of other objective options.

Definition at line 2047 of file OSOption.cpp.

References ObjectiveOption::numberOfOtherObjectiveOptions, OptimizationOption::objectives, and optimization.

Referenced by getOptionInt(), and getOtherObjectiveOptions().

int OSOption::getNumberOfInitConValues | ( |  | ) |

Get the number of initial constraint values.

Returns:
  the number of initial constraint values.

Definition at line 2057 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::initialConstraintValues, InitConstraintValues::numberOfCon, and optimization.

Referenced by getInitConValuesDense(), and getOptionInt().

int OSOption::getNumberOfInitDualVarValues | ( |  | ) |

Get the number of initial dual variable values.

Returns:
  the number of initial dual variable values.

Definition at line 2068 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::initialDualValues, InitDualVariableValues::numberOfCon, and optimization.

Referenced by getInitDualVarLowerBoundsDense(), getInitDualVarUpperBoundsDense(), and getOptionInt().

int OSOption::getNumberOfOtherConstraintOptions | ( |  | ) |

Get the number of other constraint options.

Returns:
  the number of other constraint options.

Definition at line 2080 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::numberOfOtherConstraintOptions, and optimization.

Referenced by OS_DipInterface::getCoreConstraintIndexes(), getOptionInt(), and getOtherConstraintOptions().

int OSOption::getNumberOfSolverOptions | ( |  | ) |

Get the number of solver options.

Returns:
  the number of solver options.

Definition at line 2091 of file OSOption.cpp.

References SolverOptions::numberOfSolverOptions, optimization, and OptimizationOption::solverOptions.

Referenced by getOptionInt(), getSolverOptions(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), CoinSolver::setSolverOptions(), and BonminSolver::setSolverOptions().

int OSOption::getOptionInt | ( | std::string | optionName | ) |

Get any of the integer-valued options.

Parameters:

  | optionName | The name of the option

Returns:
  the value of the option optionName

Note:
  This function returns -1 if optionName is not found

Definition at line 2105 of file OSOption.cpp.

References getMinCPUNumber(), getNumberOfConstraints(), getNumberOfDirectoriesToDelete(), getNumberOfDirectoriesToMake(), getNumberOfFilesToDelete(), getNumberOfFilesToMake(), getNumberOfInitConValues(), getNumberOfInitDualVarValues(), getNumberOfInitObjBounds(), getNumberOfInitObjValues(), getNumberOfInitVarValues(), getNumberOfInitVarValuesString(), getNumberOfInputDirectoriesToMove(), getNumberOfInputFilesToMove(), getNumberOfIntegerVariableBranchingWeights(), getNumberOfJobDependencies(), getNumberOfObjectives(), getNumberOfOtherConstraintOptions(), getNumberOfOtherGeneralOptions(), getNumberOfOtherJobOptions(), getNumberOfOtherObjectiveOptions(), getNumberOfOtherServiceOptions(), getNumberOfOtherSystemOptions(), getNumberOfOtherVariableOptions(), getNumberOfOutputDirectoriesToMove(), getNumberOfOutputFilesToMove(), getNumberOfProcessesToKill(), getNumberOfRequiredDirectories(), getNumberOfRequiredFiles(), getNumberOfSolverOptions(), getNumberOfSOS(), and getNumberOfVariables().

OtherOption ** OSOption::getOtherGeneralOptions | ( |  | ) |

Get the array of other options associated with the <general> element.

Returns:
  a vector of pointers to otherOptions objects associated with the <general> element

Definition at line 2213 of file OSOption.cpp.

References general, OtherOptions::other, and GeneralOption::otherOptions.

Referenced by getOtherOptions().

OtherOption ** OSOption::getOtherSystemOptions | ( |  | ) |

Get the array of other options associated with the <system> element.

Returns:
  a vector of pointers to otherOptions objects associated with the <system> element

Definition at line 2224 of file OSOption.cpp.

References OtherOptions::other, SystemOption::otherOptions, and system.

Referenced by getOtherOptions().

OtherOption ** OSOption::getOtherServiceOptions | ( |  | ) |

Get the array of other options associated with the <service> element.

Returns:
  a vector of pointers to otherOptions objects associated with the <service> element

Definition at line 2235 of file OSOption.cpp.

References OtherOptions::other, ServiceOption::otherOptions, and service.

Referenced by getOtherOptions().

OtherOption ** OSOption::getOtherJobOptions | ( |  | ) |

Get the array of other options associated with the <job> element.

Returns:
  a vector of pointers to otherOptions objects associated with the <job> element

Definition at line 2246 of file OSOption.cpp.

References job, OtherOptions::other, and JobOption::otherOptions.

Referenced by getOtherOptions().

OtherOption ** OSOption::getOtherOptions | ( | std::string | elementName | ) |

Get the array of other options associated with any element.

Returns:
  a vector of pointers to otherOptions objects associated with the element whose name matches elementName

Definition at line 2260 of file OSOption.cpp.

References getOtherGeneralOptions(), getOtherJobOptions(), getOtherServiceOptions(), and getOtherSystemOptions().

OtherOption ** OSOption::getAllOtherOptions | ( |  | ) |

Get the array of all other options associated with the <general>, <system>, <service> and <job> elements.

Returns:
  a vector of pointers to all otherOptions objects

Definition at line 2279 of file OSOption.cpp.

std::string * OSOption::getJobDependencies | ( |  | ) |

Get the array of job dependencies.

Returns:
  a vector of pointers to JobDependencies objects

Definition at line 2355 of file OSOption.cpp.

References JobOption::dependencies, job, and JobDependencies::jobID.

std::string * OSOption::getRequiredDirectories | ( |  | ) |

Get the array of required directories.

Returns:
  a vector of pointers to DirectoriesAndFiles objects giving the directories that are required by the current job

Definition at line 2372 of file OSOption.cpp.

References job, DirectoriesAndFiles::path, and JobOption::requiredDirectories.

std::string * OSOption::getRequiredFiles | ( |  | ) |

Get the array of required files.

Returns:
  a vector of pointers to DirectoriesAndFiles objects giving the files that are required by the current job

Definition at line 2388 of file OSOption.cpp.

References job, DirectoriesAndFiles::path, and JobOption::requiredFiles.

std::string * OSOption::getDirectoriesToMake | ( |  | ) |

Get the array of directories to make.

Returns:
  a vector of pointers to DirectoriesAndFiles objects giving the directories that must be created

Definition at line 2404 of file OSOption.cpp.

References JobOption::directoriesToMake, job, and DirectoriesAndFiles::path.

std::string * OSOption::getFilesToMake | ( |  | ) |

Get the array of files to make.

Returns:
  a vector of pointers to DirectoriesAndFiles objects giving the files that must be created

Definition at line 2420 of file OSOption.cpp.

References JobOption::filesToMake, job, and DirectoriesAndFiles::path.

PathPair ** OSOption::getInputDirectoriesToMove | ( |  | ) |

Get the array of input directories to move.

Returns:
  a vector of pointers to PathPair objects giving the input directories that must be moved

Definition at line 2436 of file OSOption.cpp.

References JobOption::inputDirectoriesToMove, job, and PathPairs::pathPair.

PathPair ** OSOption::getInputFilesToMove | ( |  | ) |

Get the array of input files to move.

Returns:
  a vector of pointers to PathPair objects giving the input files that must be moved

Definition at line 2452 of file OSOption.cpp.

References JobOption::inputFilesToMove, job, and PathPairs::pathPair.

PathPair ** OSOption::getOutputDirectoriesToMove | ( |  | ) |

Get the array of output directories to move.

Returns:
  a vector of pointers to PathPair objects giving the output directories that must be moved

Definition at line 2484 of file OSOption.cpp.

References job, JobOption::outputDirectoriesToMove, and PathPairs::pathPair.

PathPair ** OSOption::getOutputFilesToMove | ( |  | ) |

Get the array of output files to move.

Returns:
  a vector of pointers to PathPair objects giving the output files that must be moved

Definition at line 2468 of file OSOption.cpp.

References job, JobOption::outputFilesToMove, and PathPairs::pathPair.

std::string * OSOption::getDirectoriesToDelete | ( |  | ) |

Get the array of directories to delete.

Returns:
  a vector of pointers to DirectoriesAndFiles objects giving the directories that must be deleted

Definition at line 2516 of file OSOption.cpp.

References JobOption::directoriesToDelete, job, and DirectoriesAndFiles::path.

std::string * OSOption::getFilesToDelete | ( |  | ) |

Get the array of files to delete.

Returns:
  a vector of pointers to DirectoriesAndFiles objects giving the files that must be deleted

Definition at line 2500 of file OSOption.cpp.

References JobOption::filesToDelete, job, and DirectoriesAndFiles::path.

std::string * OSOption::getProcessesToKill | ( |  | ) |

Get the array of processes to kill.

Returns:
  a vector of pointers to Processes objects giving the processes that must be killed

Definition at line 2532 of file OSOption.cpp.

References job, Processes::process, and JobOption::processesToKill.

InitVarValue ** OSOption::getInitVarValuesSparse | ( |  | ) |

Get the initial values associated with the variables in sparse form.

Returns:
  a vector of pointers to InitVarValue objects that hold inital values for (some of) the variables

Definition at line 2551 of file OSOption.cpp.

References VariableOption::initialVariableValues, optimization, InitVariableValues::var, and OptimizationOption::variables.

Referenced by IpoptProblem::get_starting_point(), BonminProblem::get_starting_point(), and CoinSolver::setSolverOptions().

double * OSOption::getInitVarValuesDense | ( |  | ) |

Get the initial values associated with the variables in dense form.

Returns:
  a vector of double that holds initial values (or OSNAN) for all of the variables

Definition at line 2573 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfInitVarValues(), getNumberOfVariables(), m_mdInitVarValuesDense, and OSNAN.

double * OSOption::getInitVarValuesDense | ( | int | numberOfVariables | ) |

Get the initial values associated with the variables in dense form.

Parameters:

  | numberOfVariables | holds the dimension of the vector

Returns:
  a vector of double that holds initial values (or OSNAN) for all of the variables

Definition at line 2617 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfInitVarValues(), m_mdInitVarValuesDense, and OSNAN.

InitVarValueString ** OSOption::getInitVarValuesStringSparse | ( |  | ) |

Get the initial value strings associated with the variables in sparse form.

Returns:
  a vector of pointers to InitVarValueString objects that hold inital value strings for (some of) the variables

Definition at line 2657 of file OSOption.cpp.

References VariableOption::initialVariableValuesString, optimization, InitVariableValuesString::var, and OptimizationOption::variables.

std::string * OSOption::getInitVarValuesStringDense | ( |  | ) |

Get the initial value strings associated with the variables in dense form.

Returns:
  a vector of strings that holds initial value strings (or "") for all of the variables

Definition at line 2679 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfInitVarValuesString(), getNumberOfVariables(), and m_mdInitVarValuesStringDense.

std::string * OSOption::getInitVarValuesStringDense | ( | int | numberOfVariables | ) |

Get the initial value strings associated with the variables in dense form.

Parameters:

  | numberOfVariables | holds the dimension of the vector

Returns:
  a vector of strings that holds initial value strings (or "") for all of the variables

Definition at line 3433 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfInitVarValuesString(), and m_mdInitVarValuesStringDense.

InitBasStatus** OSOption::getInitBasisStatusSparse | ( |  | ) |

Get the initial basis status in sparse form.

Returns:
  a vector of pointers to InitBasStatus objects that hold inital basis status for (some of) the variables

std::string* OSOption::getInitBasisStatusDense | ( |  | ) |

Get the initial basis information in dense form.

Returns:
  a vector of strings that holds initial basis status (or "unknown") for all of the variables

int * OSOption::getVariableInitialBasisStatusDense | ( | int | numberOfVariables | ) |

Get the initial basis status for all variables in dense form.

Returns:
  an array of int, with values corresponding to ENUM_BASIS_STATUS -- see OSGeneral.h)

Note:
  returns ENUM_BASIS_STATUS_unknown for variables that are not initialed

Parameters:

  | numberOfVariables | is the dimension of the array

Definition at line 2766 of file OSOption.cpp.

References BasisStatus::atLower, BasisStatus::atUpper, ENUM_BASIS_STATUS_atLower, ENUM_BASIS_STATUS_atUpper, ENUM_BASIS_STATUS_basic, ENUM_BASIS_STATUS_isFree, ENUM_BASIS_STATUS_superbasic, ENUM_BASIS_STATUS_unknown, VariableOption::initialBasisStatus, BasisStatus::isFree, m_mdInitBasisStatusDense, IntVector::numberOfEl, optimization, BasisStatus::superbasic, and OptimizationOption::variables.

int OSOption::getNumberOfInitialBasisElements | ( | int | type,
|  | int | status |
| ) |  |  |

Get the number of initial basis elements for a particular variable type and basis status.

Returns:
  the number of elements

Parameters:

  | type,: | the type of variable or problem component (contained in ENUM_PROBLEM_COMPONENT --- see OSGeneral.h)
  | status,: | the basis status (contained in ENUM_BASIS_STATUS --- see OSGeneral.h)

Definition at line 2860 of file OSOption.cpp.

References OptimizationOption::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, BasisStatus::getNumberOfEl(), ConstraintOption::initialBasisStatus, ObjectiveOption::initialBasisStatus, VariableOption::initialBasisStatus, OptimizationOption::objectives, optimization, and OptimizationOption::variables.

bool OSOption::getInitialBasisElements | ( | int | type,
|  | int | status,
|  | int * | elem |
| ) |  |  |

Get the initial basis elements for a particular variable type and basis status.

Returns:
  whether the operation was successful or not

Parameters:

  | type,: | the type of variable or problem component (contained in ENUM_PROBLEM_COMPONENT --- see OSGeneral.h)
  | status,: | the basis status (contained in ENUM_BASIS_STATUS --- see OSGeneral.h)
  | elem,: | pointer to the memory location where the user wants to store the returned values

Definition at line 2902 of file OSOption.cpp.

References OptimizationOption::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, BasisStatus::getIntVector(), ConstraintOption::initialBasisStatus, ObjectiveOption::initialBasisStatus, VariableOption::initialBasisStatus, OptimizationOption::objectives, optimization, and OptimizationOption::variables.

BranchingWeight ** OSOption::getIntegerVariableBranchingWeightsSparse | ( |  | ) |

Get the integer branching weights in sparse form.

Returns:
  a vector of pointers to BranchingWeight objects that hold branching weights for (some of) the variables

Definition at line 2951 of file OSOption.cpp.

References VariableOption::integerVariableBranchingWeights, optimization, IntegerVariableBranchingWeights::var, and OptimizationOption::variables.

double * OSOption::getIntegerVariableBranchingWeightsDense | ( |  | ) |

Get the integer branching weights in dense form.

Returns:
  a vector of double that holds branching weights (or OSNAN) for all the variables

Definition at line 2974 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfIntegerVariableBranchingWeights(), getNumberOfVariables(), m_mdIntegerVariableBranchingWeightsDense, and OSNAN.

double * OSOption::getIntegerVariableBranchingWeightsDense | ( | int | numberOfVariables | ) |

Get the integer branching weights in dense form.

Parameters:

  | numberOfVariables | holds the dimension of the vector

Returns:
  a vector of double that holds branching weights (or OSNAN) for all the variables

Definition at line 3018 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfIntegerVariableBranchingWeights(), m_mdIntegerVariableBranchingWeightsDense, and OSNAN.

SOSWeights ** OSOption::getSOSVariableBranchingWeightsSparse | ( |  | ) |

Get the SOS branching weights in sparse form.

Returns:
  a vector of pointers to SOSWeights objects that hold branching weights for (some of) the variables contained in special ordered sets

Definition at line 3058 of file OSOption.cpp.

References optimization, SOSVariableBranchingWeights::sos, VariableOption::sosVariableBranchingWeights, and OptimizationOption::variables.

std::vector< OtherVariableOption * > OSOption::getOtherVariableOptions | ( | std::string | solver_name | ) |

Get the <other> variable options associated with a particular solver.

Parameters:

  | solver_name | is the name of the solver whose options we want

Returns:
  a vector of pointers to OtherVariableOption objects that correspond to the solver named.

Definition at line 3081 of file OSOption.cpp.

References getNumberOfOtherVariableOptions().

Referenced by OSDipApp::generateInitVars(), OS_DipInterface::getBlockFactories(), and OS_DipInterface::getBlockVarIndexes().

OtherVariableOption ** OSOption::getAllOtherVariableOptions | ( |  | ) |

Get all <other> variable options.

Returns:
  a pointer to an array of OtherVariableOption objects

Definition at line 3105 of file OSOption.cpp.

References optimization, VariableOption::other, and OptimizationOption::variables.

InitObjValue ** OSOption::getInitObjValuesSparse | ( |  | ) |

Get the initial values associated with the objectives in sparse form.

Returns:
  a vector of pointers to InitObjValue objects that hold inital values for (some of) the objectives

Definition at line 3122 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveValues, InitObjectiveValues::obj, OptimizationOption::objectives, and optimization.

double * OSOption::getInitObjValuesDense | ( |  | ) |

Get the initial values associated with the objectives in dense form.

Returns:
  a vector of double that hold initial values (or OSNAN) for all of the objectives

Definition at line 3144 of file OSOption.cpp.

References getNumberOfInitObjValues(), getNumberOfObjectives(), m_mdInitObjValuesDense, and OSNAN.

double * OSOption::getInitObjValuesDense | ( | int | numberOfObjectives | ) |

Get the initial values associated with the objectives in dense form.

Parameters:

  | numberOfObjectives | holds the dimension of the vector

Returns:
  a vector of double that hold initial values (or OSNAN) for all of the objectives

Definition at line 3190 of file OSOption.cpp.

References getNumberOfInitObjValues(), m_mdInitObjValuesDense, and OSNAN.

InitObjBound ** OSOption::getInitObjBoundsSparse | ( |  | ) |

Get the initial bounds associated with the objectives in sparse form.

Returns:
  a vector of pointers to InitObjBound objects that hold inital bounds for (some of) the objectives

Definition at line 3232 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveBounds, InitObjectiveBounds::obj, OptimizationOption::objectives, and optimization.

double * OSOption::getInitObjLowerBoundsDense | ( |  | ) |

Get the initial lower bounds associated with the objectives in dense form.

Returns:
  a vector of double that hold initial lower bounds (or OSNAN) for all of the objectives

Definition at line 3254 of file OSOption.cpp.

References getNumberOfInitObjBounds(), getNumberOfObjectives(), m_mdInitObjLowerBoundsDense, and OSNAN.

double * OSOption::getInitObjLowerBoundsDense | ( | int | numberOfObjectives | ) |

Get the initial lower bounds associated with the objectives in dense form.

Parameters:

  | numberOfObjectives | holds the dimension of the vector

Returns:
  a vector of double that hold initial lower bounds (or OSNAN) for all of the objectives

Definition at line 3300 of file OSOption.cpp.

References getNumberOfInitObjBounds(), m_mdInitObjLowerBoundsDense, and OSNAN.

double * OSOption::getInitObjUpperBoundsDense | ( |  | ) |

Get the initial upper bounds associated with the objectives in dense form.

Returns:
  a vector of double that hold initial upper bounds (or OSNAN) for all of the objectives

Definition at line 3343 of file OSOption.cpp.

References getNumberOfInitObjBounds(), getNumberOfObjectives(), m_mdInitObjUpperBoundsDense, and OSNAN.

double * OSOption::getInitObjUpperBoundsDense | ( | int | numberOfObjectives | ) |

Get the initial upper bounds associated with the objectives in dense form.

Parameters:

  | numberOfObjectives | holds the dimension of the vector

Returns:
  a vector of double that hold initial upper bounds (or OSNAN) for all of the objectives

Definition at line 3389 of file OSOption.cpp.

References getNumberOfInitObjBounds(), m_mdInitObjUpperBoundsDense, and OSNAN.

int * OSOption::getObjectiveInitialBasisStatusDense | ( | int | numberOfObjectives | ) |

Get the initial basis status for all objectives in dense form.

Returns:
  an array of int, with values corresponding to ENUM_BASIS_STATUS -- see OSGeneral.h)

Note:
  returns ENUM_BASIS_STATUS_unknown for objectives that are not initialed

Parameters:

  | numberOfObjectives | is the dimension of the array

Definition at line 3476 of file OSOption.cpp.

References ENUM_BASIS_STATUS_atLower, ENUM_BASIS_STATUS_basic, ENUM_BASIS_STATUS_unknown, and m_mdInitBasisStatusDense.

std::vector< OtherObjectiveOption * > OSOption::getOtherObjectiveOptions | ( | std::string | solver_name | ) |

Get the array of other objective options.

Parameters:

  | solver_name | is the name of the solver whose options we want

Returns:
  a vector of pointers to OtherConstraintOption objects

Definition at line 3577 of file OSOption.cpp.

References getNumberOfOtherObjectiveOptions().

OtherObjectiveOption ** OSOption::getAllOtherObjectiveOptions | ( |  | ) |

Get all <other> objective options.

Returns:
  a pointer to an array of OtherObjectiveOption objects

Definition at line 3600 of file OSOption.cpp.

References OptimizationOption::objectives, optimization, and ObjectiveOption::other.

InitConValue ** OSOption::getInitConValuesSparse | ( |  | ) |

Get the initial values associated with the constraints in sparse form.

Returns:
  a vector of pointers to InitConValue objects that hold inital values for (some of) the constraints

Definition at line 3618 of file OSOption.cpp.

References InitConstraintValues::con, OptimizationOption::constraints, ConstraintOption::initialConstraintValues, and optimization.

double * OSOption::getInitConValuesDense | ( |  | ) |

Get the initial values associated with the constraints in dense form.

Returns:
  a vector of double that hold initial values for all of the constraints

Definition at line 3640 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfConstraints(), getNumberOfInitConValues(), m_mdInitConValuesDense, and OSNAN.

double * OSOption::getInitConValuesDense | ( | int | numberOfConstraints | ) |

Get the initial values associated with the constraints in dense form.

Parameters:

  | numberOfConstraints | holds the dimension of the vector

Returns:
  a vector of double that hold initial values for all of the constraints

Definition at line 3684 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfInitConValues(), m_mdInitConValuesDense, and OSNAN.

InitDualVarValue ** OSOption::getInitDualVarValuesSparse | ( |  | ) |

Get the initial bounds associated with the dual variables in sparse form.

Returns:
  a vector of pointers to InitDualVarValue objects that hold inital bounds for (some of) the dual variables

Definition at line 3724 of file OSOption.cpp.

References InitDualVariableValues::con, OptimizationOption::constraints, ConstraintOption::initialDualValues, and optimization.

double * OSOption::getInitDualVarLowerBoundsDense | ( |  | ) |

Get the initial dual variables associated with the lower bounds in dense form.

Returns:
  a vector of double that hold initial lower bounds for all of the dual variables

Definition at line 3746 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfConstraints(), getNumberOfInitDualVarValues(), and m_mdInitDualVarLowerBoundsDense.

double * OSOption::getInitDualVarLowerBoundsDense | ( | int | numberOfConstraints | ) |

Get the initial dual variables associated with the lower bounds in dense form.

Parameters:

  | numberOfConstraints | holds the dimension of the vector

Returns:
  a vector of double that hold initial lower bounds for all of the dual variables

Definition at line 3790 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfInitDualVarValues(), and m_mdInitDualVarLowerBoundsDense.

double * OSOption::getInitDualVarUpperBoundsDense | ( |  | ) |

Get the initial dual variables associated with the upper bounds in dense form.

Returns:
  a vector of double that hold initial upper bounds for all of the dual variables

Definition at line 3831 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfConstraints(), getNumberOfInitDualVarValues(), and m_mdInitDualVarUpperBoundsDense.

double * OSOption::getInitDualVarUpperBoundsDense | ( | int | numberOfConstraints | ) |

Get the initial dual variables associated with the upper bounds in dense form.

Parameters:

  | numberOfConstraints | holds the dimension of the vector

Returns:
  a vector of double that hold initial upper bounds for all of the dual variables

Definition at line 3876 of file OSOption.cpp.

References ErrorClass::errormsg, getNumberOfConstraints(), getNumberOfInitDualVarValues(), and m_mdInitDualVarUpperBoundsDense.

int * OSOption::getSlackVariableInitialBasisStatusDense | ( | int | numberOfConstraints | ) |

Get the initial basis status for all slack variables in dense form.

Returns:
  an array of int, with values corresponding to ENUM_BASIS_STATUS -- see OSGeneral.h)

Note:
  returns ENUM_BASIS_STATUS_unknown for slack variables that are not initialed

Parameters:

  | numberOfConstraints | is the dimension of the array

Definition at line 3920 of file OSOption.cpp.

References BasisStatus::atLower, BasisStatus::atUpper, OptimizationOption::constraints, ENUM_BASIS_STATUS_atLower, ENUM_BASIS_STATUS_atUpper, ENUM_BASIS_STATUS_basic, ENUM_BASIS_STATUS_isFree, ENUM_BASIS_STATUS_superbasic, ENUM_BASIS_STATUS_unknown, ConstraintOption::initialBasisStatus, BasisStatus::isFree, m_mdInitBasisStatusDense, IntVector::numberOfEl, optimization, and BasisStatus::superbasic.

std::vector< OtherConstraintOption * > OSOption::getOtherConstraintOptions | ( | std::string | solver_name | ) |

Get the array of other constraint options.

Parameters:

  | solver_name | is the name of the solver whose options we want

Returns:
  a vector of pointers to OtherConstraintOption objects

Definition at line 4019 of file OSOption.cpp.

References getNumberOfOtherConstraintOptions().

Referenced by OS_DipInterface::getCoreConstraintIndexes().

OtherConstraintOption ** OSOption::getAllOtherConstraintOptions | ( |  | ) |

Get all <other> constraint options.

Returns:
  a pointer to an array of OtherConstraintOption objects

Definition at line 4042 of file OSOption.cpp.

References OptimizationOption::constraints, optimization, and ConstraintOption::other.

std::vector< SolverOption * > OSOption::getSolverOptions | ( | std::string | solver_name | ) |

Get the options associated with a given solver.

Parameters:

  | solver_name | is the name of the solver whose options we want

Returns:
  a vector of pointers to SolverOption objects that correspond to the solver named.

Definition at line 4061 of file OSOption.cpp.

References getNumberOfSolverOptions().

Referenced by OSRouteSolver::getOptions(), OSDipBlockBearcatSolver::OSDipBlockBearcatSolver(), IpoptSolver::setSolverOptions(), CouenneSolver::setSolverOptions(), CoinSolver::setSolverOptions(), and BonminSolver::setSolverOptions().

SolverOption ** OSOption::getAllSolverOptions | ( |  | ) |

Get all solver options.

Returns:
  a pointer to an array SolverOption objects

Definition at line 4084 of file OSOption.cpp.

References optimization, SolverOptions::solverOption, and OptimizationOption::solverOptions.

bool OSOption::setServiceURI | ( | std::string | serviceURI | ) |

Set the serviceURI.

Definition at line 6194 of file OSOption.cpp.

References general, and GeneralOption::serviceURI.

Referenced by setOptionStr().

bool OSOption::setServiceName | ( | std::string | serviceName | ) |

Set the service name.

Definition at line 6202 of file OSOption.cpp.

References general, and GeneralOption::serviceName.

Referenced by setOptionStr().

bool OSOption::setInstanceName | ( | std::string | instanceName | ) |

Set the instance name.

Definition at line 6210 of file OSOption.cpp.

References general, and GeneralOption::instanceName.

Referenced by setOptionStr().

bool OSOption::setInstanceLocation | ( | std::string | instanceLocation | ) |

Set the instance location.

Definition at line 6218 of file OSOption.cpp.

References general, GeneralOption::instanceLocation, and InstanceLocationOption::value.

Referenced by setOptionStr().

bool OSOption::setInstanceLocation | ( | std::string | instanceLocation,
|  | std::string | locationType |
| ) |  |  |

Alternative signature to set the instance location and location type simultaneously.

Definition at line 6228 of file OSOption.cpp.

References general, GeneralOption::instanceLocation, InstanceLocationOption::locationType, InstanceLocationOption::value, and verifyLocationType().

bool OSOption::setInstanceLocationType | ( | std::string | locationType | ) |

Set the instance location type.

Definition at line 6242 of file OSOption.cpp.

References ErrorClass::errormsg, general, GeneralOption::instanceLocation, InstanceLocationOption::locationType, and verifyLocationType().

Referenced by setOptionStr().

bool OSOption::setJobID | ( | std::string | jobID | ) |

Set the job ID.

Definition at line 6262 of file OSOption.cpp.

References general, and GeneralOption::jobID.

Referenced by kill(), knock(), retrieve(), send(), and setOptionStr().

bool OSOption::setSolverToInvoke | ( | std::string | solverToInvoke | ) |

Set the solver to be invoked.

Definition at line 6270 of file OSOption.cpp.

References general, and GeneralOption::solverToInvoke.

Referenced by setOptionStr().

bool OSOption::setLicense | ( | std::string | license | ) |

Set the license information.

Definition at line 6278 of file OSOption.cpp.

References general, and GeneralOption::license.

Referenced by setOptionStr().

bool OSOption::setUserName | ( | std::string | userName | ) |

Set the username.

Definition at line 6286 of file OSOption.cpp.

References general, and GeneralOption::userName.

Referenced by setOptionStr().

bool OSOption::setPassword | ( | std::string | password | ) |

Set the password.

Definition at line 6294 of file OSOption.cpp.

References general, and GeneralOption::password.

Referenced by setOptionStr().

bool OSOption::setContact | ( | std::string | contact | ) |

Set the contact information.

Definition at line 6302 of file OSOption.cpp.

References GeneralOption::contact, general, and ContactOption::value.

Referenced by setOptionStr().

bool OSOption::setContact | ( | std::string | contact,
|  | std::string | transportType |
| ) |  |  |

Alternative signature to set the contact information and transport type simultaneously.

Definition at line 6312 of file OSOption.cpp.

References GeneralOption::contact, general, ContactOption::transportType, ContactOption::value, and verifyTransportType().

bool OSOption::setContactTransportType | ( | std::string | transportType | ) |

Set the transport type for contact.

Definition at line 6326 of file OSOption.cpp.

References GeneralOption::contact, ErrorClass::errormsg, general, ContactOption::transportType, and verifyTransportType().

Referenced by setOptionStr().

bool OSOption::setOtherGeneralOptions | ( | int | numberOfOptions,
|  | OtherOption ** | other |
| ) |  |  |

Set the other general options as an entire array.

Definition at line 6346 of file OSOption.cpp.

References general, OtherOptions::numberOfOtherOptions, GeneralOption::otherOptions, and OtherOptions::setOther().

bool OSOption::setAnOtherGeneralOption | ( | std::string | name,
|  | std::string | value,
|  | std::string | description |
| ) |  |  |

Add another general option to the general <other> option array.

Definition at line 6362 of file OSOption.cpp.

References OtherOptions::addOther(), general, and GeneralOption::otherOptions.

bool OSOption::setMinDiskSpace | ( | std::string | unit,
|  | std::string | description,
|  | double | value |
| ) |  |  |

set() options in the <system> element

Definition at line 6377 of file OSOption.cpp.

References StorageCapacity::description, SystemOption::minDiskSpace, system, StorageCapacity::unit, StorageCapacity::value, and verifyStorageUnit().

Referenced by setOptionDbl().

bool OSOption::setMinDiskSpace | ( | double | value | ) |

Definition at line 6392 of file OSOption.cpp.

References SystemOption::minDiskSpace, system, and StorageCapacity::value.

bool OSOption::setMinDiskSpaceUnit | ( | std::string | unit | ) |

Definition at line 6401 of file OSOption.cpp.

References ErrorClass::errormsg, SystemOption::minDiskSpace, system, StorageCapacity::unit, and verifyStorageUnit().

Referenced by setOptionStr().

bool OSOption::setMinMemorySize | ( | std::string | unit,
|  | std::string | description,
|  | double | value |
| ) |  |  |

Definition at line 6420 of file OSOption.cpp.

References StorageCapacity::description, SystemOption::minMemorySize, system, StorageCapacity::unit, StorageCapacity::value, and verifyStorageUnit().

Referenced by setOptionDbl().

bool OSOption::setMinMemorySize | ( | double | value | ) |

Definition at line 6435 of file OSOption.cpp.

References SystemOption::minMemorySize, system, and StorageCapacity::value.

bool OSOption::setMinMemoryUnit | ( | std::string | unit | ) |

Definition at line 6444 of file OSOption.cpp.

References ErrorClass::errormsg, SystemOption::minMemorySize, system, StorageCapacity::unit, and verifyStorageUnit().

Referenced by setOptionStr().

bool OSOption::setMinCPUSpeed | ( | std::string | unit,
|  | std::string | description,
|  | double | value |
| ) |  |  |

Definition at line 6472 of file OSOption.cpp.

References CPUSpeed::description, SystemOption::minCPUSpeed, system, CPUSpeed::unit, CPUSpeed::value, and verifyCPUSpeedUnit().

Referenced by setOptionDbl().

bool OSOption::setMinCPUSpeed | ( | double | value | ) |

Definition at line 6463 of file OSOption.cpp.

References SystemOption::minCPUSpeed, system, and CPUSpeed::value.

bool OSOption::setMinCPUSpeedUnit | ( | std::string | unit | ) |

Definition at line 6487 of file OSOption.cpp.

References ErrorClass::errormsg, SystemOption::minCPUSpeed, system, CPUSpeed::unit, and verifyCPUSpeedUnit().

Referenced by setOptionStr().

bool OSOption::setMinCPUNumber | ( | int | number,
|  | std::string | description |
| ) |  |  |

Definition at line 6516 of file OSOption.cpp.

References CPUNumber::description, SystemOption::minCPUNumber, system, and CPUNumber::value.

Referenced by setOptionInt().

bool OSOption::setMinCPUNumber | ( | int | number | ) |

Definition at line 6506 of file OSOption.cpp.

References SystemOption::minCPUNumber, system, and CPUNumber::value.

bool OSOption::setOtherSystemOptions | ( | int | numberOfOptions,
|  | OtherOption ** | other |
| ) |  |  |

Definition at line 6527 of file OSOption.cpp.

References OtherOptions::numberOfOtherOptions, SystemOption::otherOptions, OtherOptions::setOther(), and system.

bool OSOption::setAnOtherSystemOption | ( | std::string | name,
|  | std::string | value,
|  | std::string | description |
| ) |  |  |

Definition at line 6543 of file OSOption.cpp.

References OtherOptions::addOther(), SystemOption::otherOptions, and system.

bool OSOption::setServiceType | ( | std::string | serviceType | ) |

set() options in the <service> element

Definition at line 6556 of file OSOption.cpp.

References ErrorClass::errormsg, service, ServiceOption::type, and verifyServiceType().

Referenced by setOptionStr().

bool OSOption::setOtherServiceOptions | ( | int | numberOfOptions,
|  | OtherOption ** | other |
| ) |  |  |

Definition at line 6573 of file OSOption.cpp.

References OtherOptions::numberOfOtherOptions, ServiceOption::otherOptions, service, and OtherOptions::setOther().

bool OSOption::setAnOtherServiceOption | ( | std::string | name,
|  | std::string | value,
|  | std::string | description |
| ) |  |  |

Definition at line 6588 of file OSOption.cpp.

References OtherOptions::addOther(), ServiceOption::otherOptions, and service.

bool OSOption::setMaxTime | ( | double | value,
|  | std::string | unit |
| ) |  |  |

Definition at line 6609 of file OSOption.cpp.

References job, JobOption::maxTime, TimeSpan::unit, TimeSpan::value, and verifyTimeUnit().

Referenced by setOptionDbl().

bool OSOption::setMaxTime | ( | double | value | ) |

set() options in the <job> element

Definition at line 6600 of file OSOption.cpp.

References job, JobOption::maxTime, and TimeSpan::value.

bool OSOption::setMaxTimeUnit | ( | std::string | unit | ) |

Definition at line 6623 of file OSOption.cpp.

References ErrorClass::errormsg, job, JobOption::maxTime, TimeSpan::unit, and verifyTimeUnit().

Referenced by setOptionStr().

bool OSOption::setRequestedStartTime | ( | std::string | time | ) |

Definition at line 6642 of file OSOption.cpp.

References job, and JobOption::requestedStartTime.

Referenced by setOptionStr().

bool OSOption::setJobDependencies | ( | int | numberOfDependencies,
|  | std::string * | jobDependencies |
| ) |  |  |

Definition at line 6650 of file OSOption.cpp.

References JobOption::dependencies, job, JobDependencies::jobID, and JobDependencies::setJobID().

bool OSOption::setAnotherJobDependency | ( | std::string | jobID | ) |

Definition at line 6661 of file OSOption.cpp.

References JobDependencies::addJobID(), JobOption::dependencies, and job.

bool OSOption::setRequiredDirectories | ( | int | numberOfPaths,
|  | std::string * | paths |
| ) |  |  |

Definition at line 6670 of file OSOption.cpp.

References job, DirectoriesAndFiles::path, JobOption::requiredDirectories, and DirectoriesAndFiles::setPath().

bool OSOption::setAnotherRequiredDirectory | ( | std::string | path | ) |

Definition at line 6681 of file OSOption.cpp.

References DirectoriesAndFiles::addPath(), job, and JobOption::requiredDirectories.

bool OSOption::setRequiredFiles | ( | int | numberOfPaths,
|  | std::string * | paths |
| ) |  |  |

Definition at line 6690 of file OSOption.cpp.

References job, DirectoriesAndFiles::path, JobOption::requiredFiles, and DirectoriesAndFiles::setPath().

bool OSOption::setAnotherRequiredFile | ( | std::string | path | ) |

Definition at line 6701 of file OSOption.cpp.

References DirectoriesAndFiles::addPath(), job, and JobOption::requiredFiles.

bool OSOption::setDirectoriesToMake | ( | int | numberOfPaths,
|  | std::string * | paths |
| ) |  |  |

Definition at line 6710 of file OSOption.cpp.

References JobOption::directoriesToMake, job, DirectoriesAndFiles::path, and DirectoriesAndFiles::setPath().

bool OSOption::setAnotherDirectoryToMake | ( | std::string | path | ) |

Definition at line 6721 of file OSOption.cpp.

References DirectoriesAndFiles::addPath(), JobOption::directoriesToMake, and job.

bool OSOption::setFilesToMake | ( | int | numberOfPaths,
|  | std::string * | paths |
| ) |  |  |

Definition at line 6730 of file OSOption.cpp.

References JobOption::filesToMake, job, DirectoriesAndFiles::path, and DirectoriesAndFiles::setPath().

bool OSOption::setAnotherFileToMake | ( | std::string | path | ) |

Definition at line 6741 of file OSOption.cpp.

References DirectoriesAndFiles::addPath(), JobOption::filesToMake, and job.

bool OSOption::setPathPairs | ( | int | object,
|  | std::string * | from,
|  | std::string * | to,
|  | bool * | makeCopy,
|  | int | numberOfPathPairs |
| ) |  |  |

setPathPairs set a number of path pairs into the OSOption object

Parameters:

  | object | describes the type of pathpairs legal values are ENUM_PATHPAIR_input_dir, ENUM_PATHPAIR_input_file, ENUM_PATHPAIR_output_file, ENUM_PATHPAIR_output_dir
  | from | is a pointer to an array of strings containing the location of the original object
  | to | is a pointer to an array of strings containing the location of the destination object
  | makeCopy | is a pointer to an array of boolean, describing for each object whether it is to be copied or moved
  | numberOfPathPairs | is an integer giving the number of PathPairs this must equal the number of entries in the from, to and makeCopy arrays

Definition at line 6749 of file OSOption.cpp.

References ENUM_PATHPAIR_input_dir, ENUM_PATHPAIR_input_file, ENUM_PATHPAIR_output_dir, ENUM_PATHPAIR_output_file, JobOption::inputDirectoriesToMove, JobOption::inputFilesToMove, job, JobOption::outputDirectoriesToMove, JobOption::outputFilesToMove, and PathPairs::setPathPair().

bool OSOption::setInputDirectoriesToMove | ( | int | numberOfPathPairs,
|  | PathPair ** | pathPair |
| ) |  |  |

Definition at line 6787 of file OSOption.cpp.

References JobOption::inputDirectoriesToMove, job, PathPairs::pathPair, and PathPairs::setPathPair().

bool OSOption::setAnotherInputDirectoryToMove | ( | std::string | fromPath,
|  | std::string | toPath,
|  | bool | makeCopy |
| ) |  |  |

Definition at line 6798 of file OSOption.cpp.

References PathPairs::addPathPair(), JobOption::inputDirectoriesToMove, and job.

bool OSOption::setInputFilesToMove | ( | int | numberOfPathPairs,
|  | PathPair ** | pathPair |
| ) |  |  |

Definition at line 6807 of file OSOption.cpp.

References JobOption::inputFilesToMove, job, PathPairs::pathPair, and PathPairs::setPathPair().

bool OSOption::setAnotherInputFileToMove | ( | std::string | fromPath,
|  | std::string | toPath,
|  | bool | makeCopy |
| ) |  |  |

Definition at line 6818 of file OSOption.cpp.

References PathPairs::addPathPair(), JobOption::inputFilesToMove, and job.

bool OSOption::setOutputFilesToMove | ( | int | numberOfPathPairs,
|  | PathPair ** | pathPair |
| ) |  |  |

Definition at line 6827 of file OSOption.cpp.

References job, JobOption::outputFilesToMove, PathPairs::pathPair, and PathPairs::setPathPair().

bool OSOption::setAnotherOutputFileToMove | ( | std::string | fromPath,
|  | std::string | toPath,
|  | bool | makeCopy |
| ) |  |  |

Definition at line 6838 of file OSOption.cpp.

References PathPairs::addPathPair(), job, and JobOption::outputFilesToMove.

bool OSOption::setOutputDirectoriesToMove | ( | int | numberOfPathPairs,
|  | PathPair ** | pathPair |
| ) |  |  |

Definition at line 6847 of file OSOption.cpp.

References job, JobOption::outputDirectoriesToMove, PathPairs::pathPair, and PathPairs::setPathPair().

bool OSOption::setAnotherOutputDirectoryToMove | ( | std::string | fromPath,
|  | std::string | toPath,
|  | bool | makeCopy |
| ) |  |  |

Definition at line 6858 of file OSOption.cpp.

References PathPairs::addPathPair(), job, and JobOption::outputDirectoriesToMove.

bool OSOption::setFilesToDelete | ( | int | numberOfPaths,
|  | std::string * | paths |
| ) |  |  |

Definition at line 6867 of file OSOption.cpp.

References JobOption::filesToDelete, job, DirectoriesAndFiles::path, and DirectoriesAndFiles::setPath().

bool OSOption::setAnotherFileToDelete | ( | std::string | path | ) |

Definition at line 6878 of file OSOption.cpp.

References DirectoriesAndFiles::addPath(), JobOption::filesToDelete, and job.

bool OSOption::setDirectoriesToDelete | ( | int | numberOfPaths,
|  | std::string * | paths |
| ) |  |  |

Definition at line 6887 of file OSOption.cpp.

References JobOption::directoriesToDelete, job, DirectoriesAndFiles::path, and DirectoriesAndFiles::setPath().

bool OSOption::setAnotherDirectoryToDelete | ( | std::string | path | ) |

Definition at line 6898 of file OSOption.cpp.

References DirectoriesAndFiles::addPath(), JobOption::directoriesToDelete, and job.

bool OSOption::setProcessesToKill | ( | int | numberOfProcesses,
|  | std::string * | processes |
| ) |  |  |

Definition at line 6907 of file OSOption.cpp.

References job, Processes::process, JobOption::processesToKill, and Processes::setProcess().

bool OSOption::setAnotherProcessToKill | ( | std::string | process | ) |

Definition at line 6918 of file OSOption.cpp.

References Processes::addProcess(), job, and JobOption::processesToKill.

bool OSOption::setOtherJobOptions | ( | int | numberOfOptions,
|  | OtherOption ** | other |
| ) |  |  |

Definition at line 6927 of file OSOption.cpp.

References job, OtherOptions::numberOfOtherOptions, JobOption::otherOptions, and OtherOptions::setOther().

bool OSOption::setAnOtherJobOption | ( | std::string | name,
|  | std::string | value,
|  | std::string | description |
| ) |  |  |

Definition at line 6942 of file OSOption.cpp.

References OtherOptions::addOther(), job, and JobOption::otherOptions.

bool OSOption::setNumberOfVariables | ( | int | numberOfVariables | ) |

Definition at line 6952 of file OSOption.cpp.

References OptimizationOption::numberOfVariables, and optimization.

bool OSOption::setNumberOfObjectives | ( | int | numberOfObjectives | ) |

Definition at line 6959 of file OSOption.cpp.

References OptimizationOption::numberOfObjectives, and optimization.

bool OSOption::setNumberOfConstraints | ( | int | numberOfConstraints | ) |

Definition at line 6966 of file OSOption.cpp.

References OptimizationOption::numberOfConstraints, and optimization.

bool OSOption::setInitVarValues | ( | int | numberOfVar,
|  | int * | idx,
|  | double * | value |
| ) |  |  |

Definition at line 6974 of file OSOption.cpp.

References VariableOption::initialVariableValues, optimization, InitVariableValues::setVar(), and OptimizationOption::variables.

bool OSOption::setInitVarValuesSparse | ( | int | numberOfVar,
|  | InitVarValue ** | var |
| ) |  |  |

Definition at line 6989 of file OSOption.cpp.

References VariableOption::initialVariableValues, InitVariableValues::numberOfVar, optimization, InitVariableValues::setVar(), and OptimizationOption::variables.

bool OSOption::setInitVarValuesDense | ( | int | numberOfVar,
|  | double * | value |
| ) |  |  |

Definition at line 7006 of file OSOption.cpp.

References VariableOption::initialVariableValues, optimization, InitVariableValues::var, and OptimizationOption::variables.

Referenced by main().

bool OSOption::setAnotherInitVarValue | ( | int | idx,
|  | double | value |
| ) |  |  |

Definition at line 7028 of file OSOption.cpp.

References InitVariableValues::addVar(), VariableOption::initialVariableValues, optimization, and OptimizationOption::variables.

bool OSOption::setInitVarValuesString | ( | int | numberOfVar,
|  | int * | idx,
|  | std::string * | value |
| ) |  |  |

Definition at line 7038 of file OSOption.cpp.

References VariableOption::initialVariableValuesString, optimization, InitVariableValuesString::setVar(), and OptimizationOption::variables.

bool OSOption::setInitVarValuesStringSparse | ( | int | numberOfVar,
|  | InitVarValueString ** | var |
| ) |  |  |

Definition at line 7052 of file OSOption.cpp.

References VariableOption::initialVariableValuesString, InitVariableValuesString::numberOfVar, optimization, InitVariableValuesString::setVar(), and OptimizationOption::variables.

bool OSOption::setInitVarValuesStringDense | ( | int | numberOfVar,
|  | std::string * | value |
| ) |  |  |

Definition at line 7069 of file OSOption.cpp.

References VariableOption::initialVariableValuesString, optimization, InitVariableValuesString::var, and OptimizationOption::variables.

bool OSOption::setAnotherInitVarValueString | ( | int | idx,
|  | std::string | value |
| ) |  |  |

Definition at line 7089 of file OSOption.cpp.

References InitVariableValuesString::addVar(), VariableOption::initialVariableValuesString, optimization, and OptimizationOption::variables.

bool OSOption::setInitBasisStatus | ( | int | object,
|  | int | status,
|  | int * | i,
|  | int | ni |
| ) |  |  |

Definition at line 7099 of file OSOption.cpp.

References OptimizationOption::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, ConstraintOption::initialBasisStatus, ObjectiveOption::initialBasisStatus, VariableOption::initialBasisStatus, OptimizationOption::objectives, optimization, BasisStatus::setIntVector(), and OptimizationOption::variables.

bool OSOption::setInitBasisStatusSparse | ( | int | numberOfVar,
|  | InitBasStatus ** | var |
| ) |  |  |

bool OSOption::setInitBasisStatusDense | ( | int | numberOfVar,
|  | std::string * | var |
| ) |  |  |

bool OSOption::setAnotherInitBasisStatus | ( | int | type,
|  | int | idx,
|  | int | status |
| ) |  |  |

Set the basis status for another variable, objective or constraint/slack.

Parameters:

  | type,: | type of this element (see ENUM_PROBLEM_COMPONENT - OSGeneral.h)
  | idx,: | index of this element (nonnegative for variable or constraint, negative for objective)
  | status,: | basis status (see ENUM_BASIS_STATUS - OSGeneral.h)

Definition at line 7137 of file OSOption.cpp.

References BasisStatus::addIdx(), OptimizationOption::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, ConstraintOption::initialBasisStatus, ObjectiveOption::initialBasisStatus, VariableOption::initialBasisStatus, OptimizationOption::objectives, optimization, and OptimizationOption::variables.

bool OSOption::setIntegerVariableBranchingWeights | ( | int | numberOfVar,
|  | int * | idx,
|  | double * | value |
| ) |  |  |

Definition at line 7175 of file OSOption.cpp.

References VariableOption::integerVariableBranchingWeights, optimization, IntegerVariableBranchingWeights::setVar(), and OptimizationOption::variables.

bool OSOption::setIntegerVariableBranchingWeightsSparse | ( | int | numberOfVar,
|  | BranchingWeight ** | var |
| ) |  |  |

Definition at line 7189 of file OSOption.cpp.

References VariableOption::integerVariableBranchingWeights, IntegerVariableBranchingWeights::numberOfVar, optimization, IntegerVariableBranchingWeights::setVar(), and OptimizationOption::variables.

bool OSOption::setIntegerVariableBranchingWeightsDense | ( | int | numberOfVar,
|  | double * | value |
| ) |  |  |

Definition at line 7206 of file OSOption.cpp.

References VariableOption::integerVariableBranchingWeights, optimization, IntegerVariableBranchingWeights::var, and OptimizationOption::variables.

bool OSOption::setAnotherIntegerVariableBranchingWeight | ( | int | idx,
|  | double | value |
| ) |  |  |

Definition at line 7227 of file OSOption.cpp.

References IntegerVariableBranchingWeights::addVar(), VariableOption::integerVariableBranchingWeights, optimization, and OptimizationOption::variables.

bool OSOption::setSOSVariableBranchingWeights | ( | int | numberOfSOS,
|  | SOSWeights ** | sos |
| ) |  |  |

Definition at line 7238 of file OSOption.cpp.

References SOSVariableBranchingWeights::numberOfSOS, optimization, SOSVariableBranchingWeights::setSOS(), VariableOption::sosVariableBranchingWeights, and OptimizationOption::variables.

bool OSOption::setAnotherSOSVariableBranchingWeight | ( | int | sosIdx,
|  | int | nvar,
|  | double | weight,
|  | int * | idx,
|  | double * | value |
| ) |  |  |

Definition at line 7255 of file OSOption.cpp.

References SOSVariableBranchingWeights::addSOS(), optimization, VariableOption::sosVariableBranchingWeights, and OptimizationOption::variables.

bool OSOption::setNumberOfOtherVariableOptions | ( | int | numberOfOther | ) |

Definition at line 7265 of file OSOption.cpp.

References VariableOption::numberOfOtherVariableOptions, optimization, VariableOption::other, and OptimizationOption::variables.

bool OSOption::setOtherVariableOptions | ( | int | numberOfVar,
|  | OtherVariableOption ** | var |
| ) |  |  |

Definition at line 7403 of file OSOption.cpp.

References VariableOption::numberOfOtherVariableOptions, optimization, VariableOption::setOther(), and OptimizationOption::variables.

bool OSOption::setAnOtherVariableOption | ( | OtherVariableOption * | varOption | ) |

Definition at line 7418 of file OSOption.cpp.

References VariableOption::addOther(), optimization, and OptimizationOption::variables.

bool OSOption::setOtherVariableOptionAttributes | ( | int | iOther,
|  | int | numberOfVar,
|  | int | numberOfEnumerations,
|  | std::string | name,
|  | std::string | value,
|  | std::string | solver,
|  | std::string | category,
|  | std::string | type,
|  | std::string | description |
| ) |  |  |

Set the attributes for one particular <other> <variable> option.

Parameters:

  | iOther,: | position of this element in the array of <other>
  | numberOfVar,: | number of children contained in this <other> element
  | numberOfEnumerations,: | number of <enumeration> children
  | name,: | name of this <other> element
  | value,: | a value associated with this <other> element
  | solver,: | the solver associated with this <other> element
  | category,: | the category of this <other> element
  | type,: | type of this <other> element
  | description,: | further description of this <other> element

Definition at line 7285 of file OSOption.cpp.

References OtherVariableOption::category, OtherVariableOption::description, OtherVariableOption::enumeration, OtherVariableOption::name, OtherVariableOption::numberOfEnumerations, VariableOption::numberOfOtherVariableOptions, OtherVariableOption::numberOfVar, optimization, VariableOption::other, OtherVariableOption::solver, OtherVariableOption::type, OtherVariableOption::value, OtherVariableOption::var, and OptimizationOption::variables.

bool OSOption::setOtherOptionEnumeration | ( | int | object,
|  | int | otherOptionNumber,
|  | int | enumerationNumber,
|  | int | numberOfEl,
|  | std::string | value,
|  | std::string | description,
|  | int * | idxArray |
| ) |  |  |

Set one enumeration associated with an <other> option in the <variables>, <objectives> or <constraints> element.

Parameters:

  | object,: | the object into which the enumeration is to be stored (legal values see ENUM_PROBLEM_COMPONENT in OSGeneral.h)
  | otherOptionNumber,: | number of the <other> option in the list of <other> options (zero-based)
  | enumerationNumber,: | number of the <enumeration> in the list of enumerations (zero-based)
  | numberOfEl,: | number of objects sharing the value of this enumeration
  | value,: | value of the enumeration (as a string)
  | description,: | further information about the enumeration and its value
  | idxArray,: | the array of indices for the objects sharing this enumeration

Definition at line 7322 of file OSOption.cpp.

References OptimizationOption::constraints, ENUM_PROBLEM_COMPONENT_constraints, ENUM_PROBLEM_COMPONENT_objectives, ENUM_PROBLEM_COMPONENT_variables, OtherConstraintOption::enumeration, OtherObjectiveOption::enumeration, OtherVariableOption::enumeration, OtherConstraintOption::numberOfEnumerations, OtherObjectiveOption::numberOfEnumerations, OtherVariableOption::numberOfEnumerations, ConstraintOption::numberOfOtherConstraintOptions, ObjectiveOption::numberOfOtherObjectiveOptions, VariableOption::numberOfOtherVariableOptions, OptimizationOption::objectives, optimization, ConstraintOption::other, ObjectiveOption::other, VariableOption::other, OtherOptionEnumeration::setOtherOptionEnumeration(), and OptimizationOption::variables.

bool OSOption::setOtherVariableOptionVar | ( | int | otherOptionNumber,
|  | int | varNumber,
|  | int | idx,
|  | std::string | value,
|  | std::string | lbValue,
|  | std::string | ubValue |
| ) |  |  |

Set one element associated with an <other> option in the <variables> element.

Parameters:

  | otherOptionNumber,: | number of the <other> option in the list of <other> options (zero-based)
  | varNumber,: | number of the in the array (zero-based)
  | idx,: | index of the variable to which this value belongs
  | value,: | value of the option (as a string)
  | lbValue,: | value associated with the lower bound of the variable (as a string)
  | ubValue,: | value associated with the upper bound of the variable (as a string)

Definition at line 7380 of file OSOption.cpp.

References OtherVarOption::idx, OtherVarOption::lbValue, VariableOption::numberOfOtherVariableOptions, OtherVariableOption::numberOfVar, optimization, VariableOption::other, OtherVarOption::ubValue, OtherVarOption::value, OtherVariableOption::var, and OptimizationOption::variables.

bool OSOption::setInitObjValues | ( | int | numberOfObj,
|  | int * | idx,
|  | double * | value |
| ) |  |  |

Definition at line 7426 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveValues, OptimizationOption::objectives, optimization, and InitObjectiveValues::setObj().

bool OSOption::setInitObjValuesSparse | ( | int | numberOfObj,
|  | InitObjValue ** | obj |
| ) |  |  |

Definition at line 7440 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveValues, InitObjectiveValues::numberOfObj, OptimizationOption::objectives, optimization, and InitObjectiveValues::setObj().

bool OSOption::setInitObjValuesDense | ( | int | numberOfObj,
|  | double * | value |
| ) |  |  |

Definition at line 7457 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveValues, InitObjectiveValues::obj, OptimizationOption::objectives, and optimization.

bool OSOption::setAnotherInitObjValue | ( | int | idx,
|  | double | value |
| ) |  |  |

Definition at line 7478 of file OSOption.cpp.

References InitObjectiveValues::addObj(), ObjectiveOption::initialObjectiveValues, OptimizationOption::objectives, and optimization.

bool OSOption::setInitObjBounds | ( | int | numberOfObj,
|  | int * | idx,
|  | double * | lbValue,
|  | double * | ubValue |
| ) |  |  |

Definition at line 7488 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveBounds, OptimizationOption::objectives, optimization, and InitObjectiveBounds::setObj().

bool OSOption::setInitObjBoundsSparse | ( | int | numberOfObj,
|  | InitObjBound ** | obj |
| ) |  |  |

Definition at line 7502 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveBounds, InitObjectiveBounds::numberOfObj, OptimizationOption::objectives, optimization, and InitObjectiveBounds::setObj().

bool OSOption::setInitObjBoundsDense | ( | int | numberOfObj,
|  | double * | lb,
|  | double * | ub |
| ) |  |  |

Definition at line 7519 of file OSOption.cpp.

References ObjectiveOption::initialObjectiveBounds, InitObjectiveBounds::obj, OptimizationOption::objectives, and optimization.

bool OSOption::setAnotherInitObjBound | ( | int | idx,
|  | double | lbValue,
|  | double | ubValue |
| ) |  |  |

Definition at line 7538 of file OSOption.cpp.

References InitObjectiveBounds::addObj(), ObjectiveOption::initialObjectiveBounds, OptimizationOption::objectives, and optimization.

bool OSOption::setNumberOfOtherObjectiveOptions | ( | int | numberOfOther | ) |

Definition at line 7570 of file OSOption.cpp.

References ObjectiveOption::numberOfOtherObjectiveOptions, OptimizationOption::objectives, optimization, and ObjectiveOption::other.

bool OSOption::setOtherObjectiveOptions | ( | int | numberOfObj,
|  | OtherObjectiveOption ** | obj |
| ) |  |  |

Definition at line 7627 of file OSOption.cpp.

References ObjectiveOption::numberOfOtherObjectiveOptions, OptimizationOption::objectives, optimization, and ObjectiveOption::setOther().

bool OSOption::setAnOtherObjectiveOption | ( | OtherObjectiveOption * | objOption | ) |

Definition at line 7642 of file OSOption.cpp.

References ObjectiveOption::addOther(), OptimizationOption::objectives, and optimization.

bool OSOption::setOtherObjectiveOptionAttributes | ( | int | iOther,
|  | int | numberOfObj,
|  | int | numberOfEnumerations,
|  | std::string | name,
|  | std::string | value,
|  | std::string | solver,
|  | std::string | category,
|  | std::string | type,
|  | std::string | description |
| ) |  |  |

Set the attributes for one particular <other> <objective> option.

Parameters:

  | iOther,: | position of this element in the array of <other>
  | numberOfObj,: | number of <obj> children contained in this <other> element
  | numberOfEnumerations,: | number of <enumeration> children
  | name,: | name of this <other> element
  | value,: | a value associated with this <other> element
  | solver,: | the solver associated with this <other> element
  | category,: | the category of this <other> element
  | type,: | type of this <other> element
  | description,: | further description of this <other> element

Definition at line 7590 of file OSOption.cpp.

References OtherObjectiveOption::category, OtherObjectiveOption::description, OtherObjectiveOption::enumeration, OtherObjectiveOption::name, OtherObjectiveOption::numberOfEnumerations, OtherObjectiveOption::numberOfObj, ObjectiveOption::numberOfOtherObjectiveOptions, OtherObjectiveOption::obj, OptimizationOption::objectives, optimization, ObjectiveOption::other, OtherObjectiveOption::solver, OtherObjectiveOption::type, and OtherObjectiveOption::value.

bool OSOption::setOtherObjectiveOptionObj | ( | int | otherOptionNumber,
|  | int | objNumber,
|  | int | idx,
|  | std::string | value,
|  | std::string | lbValue,
|  | std::string | ubValue |
| ) |  |  |

Set one <obj> element associated with an <other> option in the <objectives> element.

Parameters:

  | otherOptionNumber,: | number of the <other> option in the list of <other> options (zero-based)
  | objNumber,: | number of the <obj> in the array (zero-based)
  | idx,: | index of the objective to which this value belongs
  | value,: | value of the option (as a string)
  | lbValue,: | value associated with the lower bound of the objective (as a string)
  | ubValue,: | value associated with the upper bound of the objective (as a string)

Definition at line 7548 of file OSOption.cpp.

References OtherObjOption::idx, OtherObjOption::lbValue, OtherObjectiveOption::numberOfObj, ObjectiveOption::numberOfOtherObjectiveOptions, OtherObjectiveOption::obj, OptimizationOption::objectives, optimization, ObjectiveOption::other, OtherObjOption::ubValue, and OtherObjOption::value.

bool OSOption::setInitConValues | ( | int | numberOfCon,
|  | int * | idx,
|  | double * | value |
| ) |  |  |

Definition at line 7651 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::initialConstraintValues, optimization, and InitConstraintValues::setCon().

bool OSOption::setInitConValuesSparse | ( | int | numberOfCon,
|  | InitConValue ** | con |
| ) |  |  |

Definition at line 7666 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::initialConstraintValues, InitConstraintValues::numberOfCon, optimization, and InitConstraintValues::setCon().

bool OSOption::setInitConValuesDense | ( | int | numberOfCon,
|  | double * | value |
| ) |  |  |

Definition at line 7683 of file OSOption.cpp.

References InitConstraintValues::con, OptimizationOption::constraints, ConstraintOption::initialConstraintValues, and optimization.

bool OSOption::setAnotherInitConValue | ( | int | idx,
|  | double | value |
| ) |  |  |

Definition at line 7704 of file OSOption.cpp.

References InitConstraintValues::addCon(), OptimizationOption::constraints, ConstraintOption::initialConstraintValues, and optimization.

bool OSOption::setInitDualValues | ( | int | numberOfCon,
|  | int * | idx,
|  | double * | lbValue,
|  | double * | ubValue |
| ) |  |  |

Definition at line 7714 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::initialDualValues, optimization, and InitDualVariableValues::setCon().

bool OSOption::setInitDualVarValuesSparse | ( | int | numberOfCon,
|  | InitDualVarValue ** | con |
| ) |  |  |

Definition at line 7729 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::initialDualValues, InitDualVariableValues::numberOfCon, optimization, and InitDualVariableValues::setCon().

bool OSOption::setInitDualVarValuesDense | ( | int | numberOfCon,
|  | double * | lb,
|  | double * | ub |
| ) |  |  |

Definition at line 7746 of file OSOption.cpp.

References InitDualVariableValues::con, OptimizationOption::constraints, ConstraintOption::initialDualValues, and optimization.

bool OSOption::setAnotherInitDualVarValue | ( | int | idx,
|  | double | lbValue,
|  | double | ubValue |
| ) |  |  |

Definition at line 7766 of file OSOption.cpp.

References InitDualVariableValues::addCon(), OptimizationOption::constraints, ConstraintOption::initialDualValues, and optimization.

bool OSOption::setNumberOfOtherConstraintOptions | ( | int | numberOfOther | ) |

Definition at line 7776 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::numberOfOtherConstraintOptions, optimization, and ConstraintOption::other.

bool OSOption::setOtherConstraintOptions | ( | int | numberOfOptions,
|  | OtherConstraintOption ** | other |
| ) |  |  |

Definition at line 7857 of file OSOption.cpp.

References OptimizationOption::constraints, ConstraintOption::numberOfOtherConstraintOptions, optimization, and ConstraintOption::setOther().

bool OSOption::setAnOtherConstraintOption | ( | OtherConstraintOption * | optionValue | ) |

Definition at line 7872 of file OSOption.cpp.

References ConstraintOption::addOther(), OptimizationOption::constraints, and optimization.

bool OSOption::setOtherConstraintOptionAttributes | ( | int | iOther,
|  | int | numberOfCon,
|  | int | numberOfEnumerations,
|  | std::string | name,
|  | std::string | value,
|  | std::string | solver,
|  | std::string | category,
|  | std::string | type,
|  | std::string | description |
| ) |  |  |

Set the attributes for one particular <other> <constraint> option.

Parameters:

  | iOther,: | position of this element in the array of <other>
  | numberOfCon,: | number of <con> children contained in this <other> element
  | numberOfEnumerations,: | number of <enumeration> children
  | name,: | name of this <other> element
  | value,: | a value associated with this <other> element
  | solver,: | the solver associated with this <other> element
  | category,: | the category of this <other> element
  | type,: | type of this <other> element
  | description,: | further description of this <other> element

Definition at line 7796 of file OSOption.cpp.

References OtherConstraintOption::category, OtherConstraintOption::con, OptimizationOption::constraints, OtherConstraintOption::description, OtherConstraintOption::enumeration, OtherConstraintOption::name, OtherConstraintOption::numberOfCon, OtherConstraintOption::numberOfEnumerations, ConstraintOption::numberOfOtherConstraintOptions, optimization, ConstraintOption::other, OtherConstraintOption::solver, OtherConstraintOption::type, and OtherConstraintOption::value.

bool OSOption::setOtherConstraintOptionCon | ( | int | otherOptionNumber,
|  | int | conNumber,
|  | int | idx,
|  | std::string | value,
|  | std::string | lbValue,
|  | std::string | ubValue |
| ) |  |  |

Set one <con> element associated with an <other> option in the <constraints> element.

Parameters:

  | otherOptionNumber,: | number of the <other> option in the list of <other> options (zero-based)
  | conNumber,: | number of the <obj> in the array (zero-based)
  | idx,: | index of the constraint to which this value belongs
  | value,: | value of the option (as a string)
  | lbValue,: | value associated with the lower bound of the constraint (as a string)
  | ubValue,: | value associated with the upper bound of the constraint (as a string)

Definition at line 7833 of file OSOption.cpp.

References OtherConstraintOption::con, OptimizationOption::constraints, OtherConOption::idx, OtherConOption::lbValue, OtherConstraintOption::numberOfCon, ConstraintOption::numberOfOtherConstraintOptions, optimization, ConstraintOption::other, OtherConOption::ubValue, and OtherConOption::value.

bool OSOption::setNumberOfSolverOptions | ( | int | numberOfOptions | ) |

Definition at line 7881 of file OSOption.cpp.

References SolverOptions::numberOfSolverOptions, optimization, SolverOptions::solverOption, and OptimizationOption::solverOptions.

bool OSOption::setSolverOptionContent | ( | int | iOption,
|  | int | numberOfItems,
|  | std::string | name,
|  | std::string | value,
|  | std::string | solver,
|  | std::string | category,
|  | std::string | type,
|  | std::string | description,
|  | std::string * | itemList |
| ) |  |  |

Set the attributes for one particular solver option.

Parameters:

  | iOption,: | position of this element in the array of options
  | numberOfVar,: | number of children contained in this <other> element
  | name,: | name of this solver option
  | value,: | a value associated with this option
  | solver,: | the solver to which this option applies
  | category,: | the category of this option (solver specific)
  | type,: | type of this option (e.g., numeric or string)
  | description,: | further description of this option "param itemList: the list of items associated with this option (could be NULL)

Definition at line 7895 of file OSOption.cpp.

References SolverOption::category, SolverOption::description, SolverOption::item, SolverOption::name, SolverOption::numberOfItems, SolverOptions::numberOfSolverOptions, optimization, SolverOption::solver, SolverOptions::solverOption, OptimizationOption::solverOptions, SolverOption::type, and SolverOption::value.

bool OSOption::setSolverOptions | ( | int | numberOfSolverOptions,
|  | SolverOption ** | solverOption |
| ) |  |  |

Definition at line 7925 of file OSOption.cpp.

References SolverOptions::numberOfSolverOptions, optimization, SolverOptions::setSolverOptions(), and OptimizationOption::solverOptions.

bool OSOption::setAnotherSolverOption | ( | std::string | name,
|  | std::string | value,
|  | std::string | solver,
|  | std::string | category,
|  | std::string | type,
|  | std::string | description |
| ) |  |  |

Definition at line 7940 of file OSOption.cpp.

References SolverOptions::addSolverOption(), optimization, and OptimizationOption::solverOptions.

Referenced by main().

bool OSOption::setOptionInt | ( | std::string | optionName,
|  | int | optionValue |
| ) |  |  |

Definition at line 8012 of file OSOption.cpp.

References setMinCPUNumber().

bool OSOption::setOptionStr | ( | std::string | optionName,
|  | std::string | optionValue |
| ) |  |  |

Definition at line 7950 of file OSOption.cpp.

References setContact(), setContactTransportType(), setInstanceLocation(), setInstanceLocationType(), setInstanceName(), setJobID(), setLicense(), setMaxTimeUnit(), setMinCPUSpeedUnit(), setMinDiskSpaceUnit(), setMinMemoryUnit(), setPassword(), setRequestedStartTime(), setServiceName(), setServiceType(), setServiceURI(), setSolverToInvoke(), and setUserName().

bool OSOption::setOptionDbl | ( | std::string | optionName,
|  | double | value |
| ) |  |  |

Definition at line 8020 of file OSOption.cpp.

References setMaxTime(), setMinCPUSpeed(), setMinDiskSpace(), and setMinMemorySize().

## Member Data Documentation

GeneralFileHeader* OSOption::optionHeader

header information

Definition at line 3023 of file OSOption.h.

Referenced by getFileCreator(), getFileDescription(), getFileLicence(), getFileName(), getFileSource(), IsEqual(), OSOption(), setOptionHeader(), setRandom(), OSoLWriter::writeOSoL(), and ~OSOption().

GeneralOption* OSOption::general

generalOption holds the first child of the OSOption specified by the OSoL Schema.

Definition at line 3027 of file OSOption.h.

Referenced by getContact(), getContactTransportType(), getInstanceLocation(), getInstanceLocationType(), getInstanceName(), getJobID(), getLicense(), getNumberOfOtherGeneralOptions(), getOtherGeneralOptions(), getPassword(), getServiceName(), getServiceURI(), getSolverToInvoke(), getUserName(), IsEqual(), OSOption(), setAnOtherGeneralOption(), setContact(), setContactTransportType(), setInstanceLocation(), setInstanceLocationType(), setInstanceName(), setJobID(), setLicense(), setOtherGeneralOptions(), setPassword(), setRandom(), setServiceName(), setServiceURI(), setSolverToInvoke(), setUserName(), OSoLWriter::writeOSoL(), and ~OSOption().

SystemOption* OSOption::system

systemOption holds the second child of the OSOption specified by the OSoL Schema.

Definition at line 3031 of file OSOption.h.

Referenced by getMinCPUNumber(), getMinCPUNumberDescription(), getMinCPUSpeed(), getMinCPUSpeedDescription(), getMinCPUSpeedUnit(), getMinDiskSpace(), getMinDiskSpaceDescription(), getMinDiskSpaceUnit(), getMinMemoryDescription(), getMinMemorySize(), getMinMemoryUnit(), getNumberOfOtherSystemOptions(), getOtherSystemOptions(), IsEqual(), OSOption(), setAnOtherSystemOption(), setMinCPUNumber(), setMinCPUSpeed(), setMinCPUSpeedUnit(), setMinDiskSpace(), setMinDiskSpaceUnit(), setMinMemorySize(), setMinMemoryUnit(), setOtherSystemOptions(), setRandom(), OSoLWriter::writeOSoL(), and ~OSOption().

ServiceOption* OSOption::service

serviceOption holds the third child of the OSOption specified by the OSoL Schema.

Definition at line 3035 of file OSOption.h.

Referenced by getNumberOfOtherServiceOptions(), getOtherServiceOptions(), getServiceType(), IsEqual(), OSOption(), setAnOtherServiceOption(), setOtherServiceOptions(), setRandom(), setServiceType(), and ~OSOption().

JobOption* OSOption::job

jobOption holds the fourth child of the OSOption specified by the OSoL Schema.

Definition at line 3039 of file OSOption.h.

Referenced by getDirectoriesToDelete(), getDirectoriesToMake(), getFilesToDelete(), getFilesToMake(), getInputDirectoriesToMove(), getInputFilesToMove(), getJobDependencies(), getMaxTime(), getMaxTimeUnit(), getNumberOfDirectoriesToDelete(), getNumberOfDirectoriesToMake(), getNumberOfFilesToDelete(), getNumberOfFilesToMake(), getNumberOfInputDirectoriesToMove(), getNumberOfInputFilesToMove(), getNumberOfJobDependencies(), getNumberOfOtherJobOptions(), getNumberOfOutputDirectoriesToMove(), getNumberOfOutputFilesToMove(), getNumberOfProcessesToKill(), getNumberOfRequiredDirectories(), getNumberOfRequiredFiles(), getOtherJobOptions(), getOutputDirectoriesToMove(), getOutputFilesToMove(), getProcessesToKill(), getRequestedStartTime(), getRequiredDirectories(), getRequiredFiles(), IsEqual(), OSOption(), setAnotherDirectoryToDelete(), setAnotherDirectoryToMake(), setAnotherFileToDelete(), setAnotherFileToMake(), setAnotherInputDirectoryToMove(), setAnotherInputFileToMove(), setAnotherJobDependency(), setAnOtherJobOption(), setAnotherOutputDirectoryToMove(), setAnotherOutputFileToMove(), setAnotherProcessToKill(), setAnotherRequiredDirectory(), setAnotherRequiredFile(), setDirectoriesToDelete(), setDirectoriesToMake(), setFilesToDelete(), setFilesToMake(), setInputDirectoriesToMove(), setInputFilesToMove(), setJobDependencies(), setMaxTime(), setMaxTimeUnit(), setOtherJobOptions(), setOutputDirectoriesToMove(), setOutputFilesToMove(), setPathPairs(), setProcessesToKill(), setRandom(), setRequestedStartTime(), setRequiredDirectories(), setRequiredFiles(), and ~OSOption().

OptimizationOption* OSOption::optimization

optimizationOption holds the fifth child of the OSOption specified by the OSoL Schema.

Definition at line 3043 of file OSOption.h.

Referenced by getAllOtherConstraintOptions(), getAllOtherObjectiveOptions(), getAllOtherVariableOptions(), getAllSolverOptions(), getInitConValuesSparse(), getInitDualVarValuesSparse(), getInitialBasisElements(), getInitObjBoundsSparse(), getInitObjValuesSparse(), getInitVarValuesSparse(), getInitVarValuesStringSparse(), getIntegerVariableBranchingWeightsSparse(), getNumberOfConstraints(), getNumberOfInitConValues(), getNumberOfInitDualVarValues(), getNumberOfInitialBasisElements(), getNumberOfInitObjBounds(), getNumberOfInitObjValues(), getNumberOfInitVarValues(), getNumberOfInitVarValuesString(), getNumberOfIntegerVariableBranchingWeights(), getNumberOfObjectives(), getNumberOfOtherConstraintOptions(), getNumberOfOtherObjectiveOptions(), getNumberOfOtherVariableOptions(), getNumberOfSolverOptions(), getNumberOfSOS(), getNumberOfSOSVarBranchingWeights(), getNumberOfVariables(), getSlackVariableInitialBasisStatusDense(), getSOSVariableBranchingWeightsSparse(), getVariableInitialBasisStatusDense(), IsEqual(), OSOption(), setAnOtherConstraintOption(), setAnotherInitBasisStatus(), setAnotherInitConValue(), setAnotherInitDualVarValue(), setAnotherInitObjBound(), setAnotherInitObjValue(), setAnotherInitVarValue(), setAnotherInitVarValueString(), setAnotherIntegerVariableBranchingWeight(), setAnOtherObjectiveOption(), setAnotherSolverOption(), setAnotherSOSVariableBranchingWeight(), setAnOtherVariableOption(), setInitBasisStatus(), setInitConValues(), setInitConValuesDense(), setInitConValuesSparse(), setInitDualValues(), setInitDualVarValuesDense(), setInitDualVarValuesSparse(), setInitObjBounds(), setInitObjBoundsDense(), setInitObjBoundsSparse(), setInitObjValues(), setInitObjValuesDense(), setInitObjValuesSparse(), setInitVarValues(), setInitVarValuesDense(), setInitVarValuesSparse(), setInitVarValuesString(), setInitVarValuesStringDense(), setInitVarValuesStringSparse(), setIntegerVariableBranchingWeights(), setIntegerVariableBranchingWeightsDense(), setIntegerVariableBranchingWeightsSparse(), setNumberOfConstraints(), setNumberOfObjectives(), setNumberOfOtherConstraintOptions(), setNumberOfOtherObjectiveOptions(), setNumberOfOtherVariableOptions(), setNumberOfSolverOptions(), setNumberOfVariables(), setOtherConstraintOptionAttributes(), setOtherConstraintOptionCon(), setOtherConstraintOptions(), setOtherObjectiveOptionAttributes(), setOtherObjectiveOptionObj(), setOtherObjectiveOptions(), setOtherOptionEnumeration(), setOtherVariableOptionAttributes(), setOtherVariableOptions(), setOtherVariableOptionVar(), setRandom(), setSolverOptionContent(), setSolverOptions(), setSOSVariableBranchingWeights(), and ~OSOption().

double* OSOption::m_mdInitVarValuesDense`[private]`

m_mdInitVarValuesDense holds the initial variable values in dense form

Definition at line 3072 of file OSOption.h.

Referenced by getInitVarValuesDense(), OSOption(), and ~OSOption().

std::string* OSOption::m_mdInitVarValuesStringDense`[private]`

m_mdInitVarValuesStringDense holds the initial values for string-valued variables

Definition at line 3077 of file OSOption.h.

Referenced by getInitVarValuesStringDense(), OSOption(), and ~OSOption().

int* OSOption::m_mdInitBasisStatusDense`[private]`

m_mdInitBasisStatusDense holds the initial basis status in dense form

Definition at line 3082 of file OSOption.h.

Referenced by getObjectiveInitialBasisStatusDense(), getSlackVariableInitialBasisStatusDense(), getVariableInitialBasisStatusDense(), OSOption(), and ~OSOption().

double* OSOption::m_mdIntegerVariableBranchingWeightsDense`[private]`

m_mdIntegerVariableBranchingWeightsDense holds the branching weights for integer variables

Definition at line 3087 of file OSOption.h.

Referenced by getIntegerVariableBranchingWeightsDense(), OSOption(), and ~OSOption().

double* OSOption::m_mdInitObjValuesDense`[private]`

m_mdInitObjValuesDense holds initial objective values in dense form

Definition at line 3092 of file OSOption.h.

Referenced by getInitObjValuesDense(), OSOption(), and ~OSOption().

double* OSOption::m_mdInitObjLowerBoundsDense`[private]`

m_mdInitObjLowerBoundsDense holds initial lower bounds for the objectives in dense form

Definition at line 3097 of file OSOption.h.

Referenced by getInitObjLowerBoundsDense(), OSOption(), and ~OSOption().

double* OSOption::m_mdInitObjUpperBoundsDense`[private]`

m_mdInitObjUpperBoundsDense holds initial upper bounds for the objectives in dense form

Definition at line 3102 of file OSOption.h.

Referenced by getInitObjUpperBoundsDense(), OSOption(), and ~OSOption().

double* OSOption::m_mdInitConValuesDense`[private]`

m_mdInitConValuesDense holds initial constraint values in dense form

Definition at line 3107 of file OSOption.h.

Referenced by getInitConValuesDense(), OSOption(), and ~OSOption().

double* OSOption::m_mdInitDualVarLowerBoundsDense`[private]`

m_mdInitDualVarLowerBoundsDense holds initial dual values for the lower bound of the constraints in dense form

Definition at line 3113 of file OSOption.h.

Referenced by getInitDualVarLowerBoundsDense(), OSOption(), and ~OSOption().

double* OSOption::m_mdInitDualVarUpperBoundsDense`[private]`

m_mdInitDualVarUpperBoundsDense holds initial dual values for the upper bound of the constraints in dense form

Definition at line 3119 of file OSOption.h.

Referenced by getInitDualVarUpperBoundsDense(), OSOption(), and ~OSOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp